# coding: utf-8
# pynput
# Copyright (C) 2015-2018 Moses Palmér
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Lesser General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
# details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

# pylint: disable=C0111,C0302

SYMBOLS = {
    "0": (0x0030, u"\u0030"),
    "1": (0x0031, u"\u0031"),
    "2": (0x0032, u"\u0032"),
    "3": (0x0033, u"\u0033"),
    "4": (0x0034, u"\u0034"),
    "5": (0x0035, u"\u0035"),
    "6": (0x0036, u"\u0036"),
    "7": (0x0037, u"\u0037"),
    "8": (0x0038, u"\u0038"),
    "9": (0x0039, u"\u0039"),
    "A": (0x0041, u"\u0041"),
    "AE": (0x00C6, u"\u00C6"),
    "Aacute": (0x00C1, u"\u00C1"),
    "Abelowdot": (0x1001EA0, u"\u1EA0"),
    "Abreve": (0x01C3, u"\u0102"),
    "Abreveacute": (0x1001EAE, u"\u1EAE"),
    "Abrevebelowdot": (0x1001EB6, u"\u1EB6"),
    "Abrevegrave": (0x1001EB0, u"\u1EB0"),
    "Abrevehook": (0x1001EB2, u"\u1EB2"),
    "Abrevetilde": (0x1001EB4, u"\u1EB4"),
    "Acircumflex": (0x00C2, u"\u00C2"),
    "Acircumflexacute": (0x1001EA4, u"\u1EA4"),
    "Acircumflexbelowdot": (0x1001EAC, u"\u1EAC"),
    "Acircumflexgrave": (0x1001EA6, u"\u1EA6"),
    "Acircumflexhook": (0x1001EA8, u"\u1EA8"),
    "Acircumflextilde": (0x1001EAA, u"\u1EAA"),
    "Adiaeresis": (0x00C4, u"\u00C4"),
    "Agrave": (0x00C0, u"\u00C0"),
    "Ahook": (0x1001EA2, u"\u1EA2"),
    "Amacron": (0x03C0, u"\u0100"),
    "Aogonek": (0x01A1, u"\u0104"),
    "Arabic_0": (0x1000660, u"\u0660"),
    "Arabic_1": (0x1000661, u"\u0661"),
    "Arabic_2": (0x1000662, u"\u0662"),
    "Arabic_3": (0x1000663, u"\u0663"),
    "Arabic_4": (0x1000664, u"\u0664"),
    "Arabic_5": (0x1000665, u"\u0665"),
    "Arabic_6": (0x1000666, u"\u0666"),
    "Arabic_7": (0x1000667, u"\u0667"),
    "Arabic_8": (0x1000668, u"\u0668"),
    "Arabic_9": (0x1000669, u"\u0669"),
    "Arabic_ain": (0x05D9, u"\u0639"),
    "Arabic_alef": (0x05C7, u"\u0627"),
    "Arabic_alefmaksura": (0x05E9, u"\u0649"),
    "Arabic_beh": (0x05C8, u"\u0628"),
    "Arabic_comma": (0x05AC, u"\u060C"),
    "Arabic_dad": (0x05D6, u"\u0636"),
    "Arabic_dal": (0x05CF, u"\u062F"),
    "Arabic_damma": (0x05EF, u"\u064F"),
    "Arabic_dammatan": (0x05EC, u"\u064C"),
    "Arabic_ddal": (0x1000688, u"\u0688"),
    "Arabic_farsi_yeh": (0x10006CC, u"\u06CC"),
    "Arabic_fatha": (0x05EE, u"\u064E"),
    "Arabic_fathatan": (0x05EB, u"\u064B"),
    "Arabic_feh": (0x05E1, u"\u0641"),
    "Arabic_fullstop": (0x10006D4, u"\u06D4"),
    "Arabic_gaf": (0x10006AF, u"\u06AF"),
    "Arabic_ghain": (0x05DA, u"\u063A"),
    "Arabic_ha": (0x05E7, u"\u0647"),
    "Arabic_hah": (0x05CD, u"\u062D"),
    "Arabic_hamza": (0x05C1, u"\u0621"),
    "Arabic_hamza_above": (0x1000654, u"\u0654"),
    "Arabic_hamza_below": (0x1000655, u"\u0655"),
    "Arabic_hamzaonalef": (0x05C3, u"\u0623"),
    "Arabic_hamzaonwaw": (0x05C4, u"\u0624"),
    "Arabic_hamzaonyeh": (0x05C6, u"\u0626"),
    "Arabic_hamzaunderalef": (0x05C5, u"\u0625"),
    "Arabic_heh_doachashmee": (0x10006BE, u"\u06BE"),
    "Arabic_heh_goal": (0x10006C1, u"\u06C1"),
    "Arabic_jeem": (0x05CC, u"\u062C"),
    "Arabic_jeh": (0x1000698, u"\u0698"),
    "Arabic_kaf": (0x05E3, u"\u0643"),
    "Arabic_kasra": (0x05F0, u"\u0650"),
    "Arabic_kasratan": (0x05ED, u"\u064D"),
    "Arabic_keheh": (0x10006A9, u"\u06A9"),
    "Arabic_khah": (0x05CE, u"\u062E"),
    "Arabic_lam": (0x05E4, u"\u0644"),
    "Arabic_madda_above": (0x1000653, u"\u0653"),
    "Arabic_maddaonalef": (0x05C2, u"\u0622"),
    "Arabic_meem": (0x05E5, u"\u0645"),
    "Arabic_noon": (0x05E6, u"\u0646"),
    "Arabic_noon_ghunna": (0x10006BA, u"\u06BA"),
    "Arabic_peh": (0x100067E, u"\u067E"),
    "Arabic_percent": (0x100066A, u"\u066A"),
    "Arabic_qaf": (0x05E2, u"\u0642"),
    "Arabic_question_mark": (0x05BF, u"\u061F"),
    "Arabic_ra": (0x05D1, u"\u0631"),
    "Arabic_rreh": (0x1000691, u"\u0691"),
    "Arabic_sad": (0x05D5, u"\u0635"),
    "Arabic_seen": (0x05D3, u"\u0633"),
    "Arabic_semicolon": (0x05BB, u"\u061B"),
    "Arabic_shadda": (0x05F1, u"\u0651"),
    "Arabic_sheen": (0x05D4, u"\u0634"),
    "Arabic_sukun": (0x05F2, u"\u0652"),
    "Arabic_superscript_alef": (0x1000670, u"\u0670"),
    "Arabic_tah": (0x05D7, u"\u0637"),
    "Arabic_tatweel": (0x05E0, u"\u0640"),
    "Arabic_tcheh": (0x1000686, u"\u0686"),
    "Arabic_teh": (0x05CA, u"\u062A"),
    "Arabic_tehmarbuta": (0x05C9, u"\u0629"),
    "Arabic_thal": (0x05D0, u"\u0630"),
    "Arabic_theh": (0x05CB, u"\u062B"),
    "Arabic_tteh": (0x1000679, u"\u0679"),
    "Arabic_veh": (0x10006A4, u"\u06A4"),
    "Arabic_waw": (0x05E8, u"\u0648"),
    "Arabic_yeh": (0x05EA, u"\u064A"),
    "Arabic_yeh_baree": (0x10006D2, u"\u06D2"),
    "Arabic_zah": (0x05D8, u"\u0638"),
    "Arabic_zain": (0x05D2, u"\u0632"),
    "Aring": (0x00C5, u"\u00C5"),
    "Armenian_AT": (0x1000538, u"\u0538"),
    "Armenian_AYB": (0x1000531, u"\u0531"),
    "Armenian_BEN": (0x1000532, u"\u0532"),
    "Armenian_CHA": (0x1000549, u"\u0549"),
    "Armenian_DA": (0x1000534, u"\u0534"),
    "Armenian_DZA": (0x1000541, u"\u0541"),
    "Armenian_E": (0x1000537, u"\u0537"),
    "Armenian_FE": (0x1000556, u"\u0556"),
    "Armenian_GHAT": (0x1000542, u"\u0542"),
    "Armenian_GIM": (0x1000533, u"\u0533"),
    "Armenian_HI": (0x1000545, u"\u0545"),
    "Armenian_HO": (0x1000540, u"\u0540"),
    "Armenian_INI": (0x100053B, u"\u053B"),
    "Armenian_JE": (0x100054B, u"\u054B"),
    "Armenian_KE": (0x1000554, u"\u0554"),
    "Armenian_KEN": (0x100053F, u"\u053F"),
    "Armenian_KHE": (0x100053D, u"\u053D"),
    "Armenian_LYUN": (0x100053C, u"\u053C"),
    "Armenian_MEN": (0x1000544, u"\u0544"),
    "Armenian_NU": (0x1000546, u"\u0546"),
    "Armenian_O": (0x1000555, u"\u0555"),
    "Armenian_PE": (0x100054A, u"\u054A"),
    "Armenian_PYUR": (0x1000553, u"\u0553"),
    "Armenian_RA": (0x100054C, u"\u054C"),
    "Armenian_RE": (0x1000550, u"\u0550"),
    "Armenian_SE": (0x100054D, u"\u054D"),
    "Armenian_SHA": (0x1000547, u"\u0547"),
    "Armenian_TCHE": (0x1000543, u"\u0543"),
    "Armenian_TO": (0x1000539, u"\u0539"),
    "Armenian_TSA": (0x100053E, u"\u053E"),
    "Armenian_TSO": (0x1000551, u"\u0551"),
    "Armenian_TYUN": (0x100054F, u"\u054F"),
    "Armenian_VEV": (0x100054E, u"\u054E"),
    "Armenian_VO": (0x1000548, u"\u0548"),
    "Armenian_VYUN": (0x1000552, u"\u0552"),
    "Armenian_YECH": (0x1000535, u"\u0535"),
    "Armenian_ZA": (0x1000536, u"\u0536"),
    "Armenian_ZHE": (0x100053A, u"\u053A"),
    "Armenian_accent": (0x100055B, u"\u055B"),
    "Armenian_amanak": (0x100055C, u"\u055C"),
    "Armenian_apostrophe": (0x100055A, u"\u055A"),
    "Armenian_at": (0x1000568, u"\u0568"),
    "Armenian_ayb": (0x1000561, u"\u0561"),
    "Armenian_ben": (0x1000562, u"\u0562"),
    "Armenian_but": (0x100055D, u"\u055D"),
    "Armenian_cha": (0x1000579, u"\u0579"),
    "Armenian_da": (0x1000564, u"\u0564"),
    "Armenian_dza": (0x1000571, u"\u0571"),
    "Armenian_e": (0x1000567, u"\u0567"),
    "Armenian_exclam": (0x100055C, u"\u055C"),
    "Armenian_fe": (0x1000586, u"\u0586"),
    "Armenian_full_stop": (0x1000589, u"\u0589"),
    "Armenian_ghat": (0x1000572, u"\u0572"),
    "Armenian_gim": (0x1000563, u"\u0563"),
    "Armenian_hi": (0x1000575, u"\u0575"),
    "Armenian_ho": (0x1000570, u"\u0570"),
    "Armenian_hyphen": (0x100058A, u"\u058A"),
    "Armenian_ini": (0x100056B, u"\u056B"),
    "Armenian_je": (0x100057B, u"\u057B"),
    "Armenian_ke": (0x1000584, u"\u0584"),
    "Armenian_ken": (0x100056F, u"\u056F"),
    "Armenian_khe": (0x100056D, u"\u056D"),
    "Armenian_ligature_ew": (0x1000587, u"\u0587"),
    "Armenian_lyun": (0x100056C, u"\u056C"),
    "Armenian_men": (0x1000574, u"\u0574"),
    "Armenian_nu": (0x1000576, u"\u0576"),
    "Armenian_o": (0x1000585, u"\u0585"),
    "Armenian_paruyk": (0x100055E, u"\u055E"),
    "Armenian_pe": (0x100057A, u"\u057A"),
    "Armenian_pyur": (0x1000583, u"\u0583"),
    "Armenian_question": (0x100055E, u"\u055E"),
    "Armenian_ra": (0x100057C, u"\u057C"),
    "Armenian_re": (0x1000580, u"\u0580"),
    "Armenian_se": (0x100057D, u"\u057D"),
    "Armenian_separation_mark": (0x100055D, u"\u055D"),
    "Armenian_sha": (0x1000577, u"\u0577"),
    "Armenian_shesht": (0x100055B, u"\u055B"),
    "Armenian_tche": (0x1000573, u"\u0573"),
    "Armenian_to": (0x1000569, u"\u0569"),
    "Armenian_tsa": (0x100056E, u"\u056E"),
    "Armenian_tso": (0x1000581, u"\u0581"),
    "Armenian_tyun": (0x100057F, u"\u057F"),
    "Armenian_verjaket": (0x1000589, u"\u0589"),
    "Armenian_vev": (0x100057E, u"\u057E"),
    "Armenian_vo": (0x1000578, u"\u0578"),
    "Armenian_vyun": (0x1000582, u"\u0582"),
    "Armenian_yech": (0x1000565, u"\u0565"),
    "Armenian_yentamna": (0x100058A, u"\u058A"),
    "Armenian_za": (0x1000566, u"\u0566"),
    "Armenian_zhe": (0x100056A, u"\u056A"),
    "Atilde": (0x00C3, u"\u00C3"),
    "B": (0x0042, u"\u0042"),
    "Babovedot": (0x1001E02, u"\u1E02"),
    "Byelorussian_SHORTU": (0x06BE, u"\u040E"),
    "Byelorussian_shortu": (0x06AE, u"\u045E"),
    "C": (0x0043, u"\u0043"),
    "Cabovedot": (0x02C5, u"\u010A"),
    "Cacute": (0x01C6, u"\u0106"),
    "Ccaron": (0x01C8, u"\u010C"),
    "Ccedilla": (0x00C7, u"\u00C7"),
    "Ccircumflex": (0x02C6, u"\u0108"),
    "ColonSign": (0x10020A1, u"\u20A1"),
    "CruzeiroSign": (0x10020A2, u"\u20A2"),
    "Cyrillic_A": (0x06E1, u"\u0410"),
    "Cyrillic_BE": (0x06E2, u"\u0411"),
    "Cyrillic_CHE": (0x06FE, u"\u0427"),
    "Cyrillic_CHE_descender": (0x10004B6, u"\u04B6"),
    "Cyrillic_CHE_vertstroke": (0x10004B8, u"\u04B8"),
    "Cyrillic_DE": (0x06E4, u"\u0414"),
    "Cyrillic_DZHE": (0x06BF, u"\u040F"),
    "Cyrillic_E": (0x06FC, u"\u042D"),
    "Cyrillic_EF": (0x06E6, u"\u0424"),
    "Cyrillic_EL": (0x06EC, u"\u041B"),
    "Cyrillic_EM": (0x06ED, u"\u041C"),
    "Cyrillic_EN": (0x06EE, u"\u041D"),
    "Cyrillic_EN_descender": (0x10004A2, u"\u04A2"),
    "Cyrillic_ER": (0x06F2, u"\u0420"),
    "Cyrillic_ES": (0x06F3, u"\u0421"),
    "Cyrillic_GHE": (0x06E7, u"\u0413"),
    "Cyrillic_GHE_bar": (0x1000492, u"\u0492"),
    "Cyrillic_HA": (0x06E8, u"\u0425"),
    "Cyrillic_HARDSIGN": (0x06FF, u"\u042A"),
    "Cyrillic_HA_descender": (0x10004B2, u"\u04B2"),
    "Cyrillic_I": (0x06E9, u"\u0418"),
    "Cyrillic_IE": (0x06E5, u"\u0415"),
    "Cyrillic_IO": (0x06B3, u"\u0401"),
    "Cyrillic_I_macron": (0x10004E2, u"\u04E2"),
    "Cyrillic_JE": (0x06B8, u"\u0408"),
    "Cyrillic_KA": (0x06EB, u"\u041A"),
    "Cyrillic_KA_descender": (0x100049A, u"\u049A"),
    "Cyrillic_KA_vertstroke": (0x100049C, u"\u049C"),
    "Cyrillic_LJE": (0x06B9, u"\u0409"),
    "Cyrillic_NJE": (0x06BA, u"\u040A"),
    "Cyrillic_O": (0x06EF, u"\u041E"),
    "Cyrillic_O_bar": (0x10004E8, u"\u04E8"),
    "Cyrillic_PE": (0x06F0, u"\u041F"),
    "Cyrillic_SCHWA": (0x10004D8, u"\u04D8"),
    "Cyrillic_SHA": (0x06FB, u"\u0428"),
    "Cyrillic_SHCHA": (0x06FD, u"\u0429"),
    "Cyrillic_SHHA": (0x10004BA, u"\u04BA"),
    "Cyrillic_SHORTI": (0x06EA, u"\u0419"),
    "Cyrillic_SOFTSIGN": (0x06F8, u"\u042C"),
    "Cyrillic_TE": (0x06F4, u"\u0422"),
    "Cyrillic_TSE": (0x06E3, u"\u0426"),
    "Cyrillic_U": (0x06F5, u"\u0423"),
    "Cyrillic_U_macron": (0x10004EE, u"\u04EE"),
    "Cyrillic_U_straight": (0x10004AE, u"\u04AE"),
    "Cyrillic_U_straight_bar": (0x10004B0, u"\u04B0"),
    "Cyrillic_VE": (0x06F7, u"\u0412"),
    "Cyrillic_YA": (0x06F1, u"\u042F"),
    "Cyrillic_YERU": (0x06F9, u"\u042B"),
    "Cyrillic_YU": (0x06E0, u"\u042E"),
    "Cyrillic_ZE": (0x06FA, u"\u0417"),
    "Cyrillic_ZHE": (0x06F6, u"\u0416"),
    "Cyrillic_ZHE_descender": (0x1000496, u"\u0496"),
    "Cyrillic_a": (0x06C1, u"\u0430"),
    "Cyrillic_be": (0x06C2, u"\u0431"),
    "Cyrillic_che": (0x06DE, u"\u0447"),
    "Cyrillic_che_descender": (0x10004B7, u"\u04B7"),
    "Cyrillic_che_vertstroke": (0x10004B9, u"\u04B9"),
    "Cyrillic_de": (0x06C4, u"\u0434"),
    "Cyrillic_dzhe": (0x06AF, u"\u045F"),
    "Cyrillic_e": (0x06DC, u"\u044D"),
    "Cyrillic_ef": (0x06C6, u"\u0444"),
    "Cyrillic_el": (0x06CC, u"\u043B"),
    "Cyrillic_em": (0x06CD, u"\u043C"),
    "Cyrillic_en": (0x06CE, u"\u043D"),
    "Cyrillic_en_descender": (0x10004A3, u"\u04A3"),
    "Cyrillic_er": (0x06D2, u"\u0440"),
    "Cyrillic_es": (0x06D3, u"\u0441"),
    "Cyrillic_ghe": (0x06C7, u"\u0433"),
    "Cyrillic_ghe_bar": (0x1000493, u"\u0493"),
    "Cyrillic_ha": (0x06C8, u"\u0445"),
    "Cyrillic_ha_descender": (0x10004B3, u"\u04B3"),
    "Cyrillic_hardsign": (0x06DF, u"\u044A"),
    "Cyrillic_i": (0x06C9, u"\u0438"),
    "Cyrillic_i_macron": (0x10004E3, u"\u04E3"),
    "Cyrillic_ie": (0x06C5, u"\u0435"),
    "Cyrillic_io": (0x06A3, u"\u0451"),
    "Cyrillic_je": (0x06A8, u"\u0458"),
    "Cyrillic_ka": (0x06CB, u"\u043A"),
    "Cyrillic_ka_descender": (0x100049B, u"\u049B"),
    "Cyrillic_ka_vertstroke": (0x100049D, u"\u049D"),
    "Cyrillic_lje": (0x06A9, u"\u0459"),
    "Cyrillic_nje": (0x06AA, u"\u045A"),
    "Cyrillic_o": (0x06CF, u"\u043E"),
    "Cyrillic_o_bar": (0x10004E9, u"\u04E9"),
    "Cyrillic_pe": (0x06D0, u"\u043F"),
    "Cyrillic_schwa": (0x10004D9, u"\u04D9"),
    "Cyrillic_sha": (0x06DB, u"\u0448"),
    "Cyrillic_shcha": (0x06DD, u"\u0449"),
    "Cyrillic_shha": (0x10004BB, u"\u04BB"),
    "Cyrillic_shorti": (0x06CA, u"\u0439"),
    "Cyrillic_softsign": (0x06D8, u"\u044C"),
    "Cyrillic_te": (0x06D4, u"\u0442"),
    "Cyrillic_tse": (0x06C3, u"\u0446"),
    "Cyrillic_u": (0x06D5, u"\u0443"),
    "Cyrillic_u_macron": (0x10004EF, u"\u04EF"),
    "Cyrillic_u_straight": (0x10004AF, u"\u04AF"),
    "Cyrillic_u_straight_bar": (0x10004B1, u"\u04B1"),
    "Cyrillic_ve": (0x06D7, u"\u0432"),
    "Cyrillic_ya": (0x06D1, u"\u044F"),
    "Cyrillic_yeru": (0x06D9, u"\u044B"),
    "Cyrillic_yu": (0x06C0, u"\u044E"),
    "Cyrillic_ze": (0x06DA, u"\u0437"),
    "Cyrillic_zhe": (0x06D6, u"\u0436"),
    "Cyrillic_zhe_descender": (0x1000497, u"\u0497"),
    "D": (0x0044, u"\u0044"),
    "Dabovedot": (0x1001E0A, u"\u1E0A"),
    "Dcaron": (0x01CF, u"\u010E"),
    "DongSign": (0x10020AB, u"\u20AB"),
    "Dstroke": (0x01D0, u"\u0110"),
    "E": (0x0045, u"\u0045"),
    "ENG": (0x03BD, u"\u014A"),
    "ETH": (0x00D0, u"\u00D0"),
    "EZH": (0x10001B7, u"\u01B7"),
    "Eabovedot": (0x03CC, u"\u0116"),
    "Eacute": (0x00C9, u"\u00C9"),
    "Ebelowdot": (0x1001EB8, u"\u1EB8"),
    "Ecaron": (0x01CC, u"\u011A"),
    "Ecircumflex": (0x00CA, u"\u00CA"),
    "Ecircumflexacute": (0x1001EBE, u"\u1EBE"),
    "Ecircumflexbelowdot": (0x1001EC6, u"\u1EC6"),
    "Ecircumflexgrave": (0x1001EC0, u"\u1EC0"),
    "Ecircumflexhook": (0x1001EC2, u"\u1EC2"),
    "Ecircumflextilde": (0x1001EC4, u"\u1EC4"),
    "EcuSign": (0x10020A0, u"\u20A0"),
    "Ediaeresis": (0x00CB, u"\u00CB"),
    "Egrave": (0x00C8, u"\u00C8"),
    "Ehook": (0x1001EBA, u"\u1EBA"),
    "Emacron": (0x03AA, u"\u0112"),
    "Eogonek": (0x01CA, u"\u0118"),
    "Etilde": (0x1001EBC, u"\u1EBC"),
    "EuroSign": (0x20AC, u"\u20AC"),
    "F": (0x0046, u"\u0046"),
    "FFrancSign": (0x10020A3, u"\u20A3"),
    "Fabovedot": (0x1001E1E, u"\u1E1E"),
    "Farsi_0": (0x10006F0, u"\u06F0"),
    "Farsi_1": (0x10006F1, u"\u06F1"),
    "Farsi_2": (0x10006F2, u"\u06F2"),
    "Farsi_3": (0x10006F3, u"\u06F3"),
    "Farsi_4": (0x10006F4, u"\u06F4"),
    "Farsi_5": (0x10006F5, u"\u06F5"),
    "Farsi_6": (0x10006F6, u"\u06F6"),
    "Farsi_7": (0x10006F7, u"\u06F7"),
    "Farsi_8": (0x10006F8, u"\u06F8"),
    "Farsi_9": (0x10006F9, u"\u06F9"),
    "Farsi_yeh": (0x10006CC, u"\u06CC"),
    "G": (0x0047, u"\u0047"),
    "Gabovedot": (0x02D5, u"\u0120"),
    "Gbreve": (0x02AB, u"\u011E"),
    "Gcaron": (0x10001E6, u"\u01E6"),
    "Gcedilla": (0x03AB, u"\u0122"),
    "Gcircumflex": (0x02D8, u"\u011C"),
    "Georgian_an": (0x10010D0, u"\u10D0"),
    "Georgian_ban": (0x10010D1, u"\u10D1"),
    "Georgian_can": (0x10010EA, u"\u10EA"),
    "Georgian_char": (0x10010ED, u"\u10ED"),
    "Georgian_chin": (0x10010E9, u"\u10E9"),
    "Georgian_cil": (0x10010EC, u"\u10EC"),
    "Georgian_don": (0x10010D3, u"\u10D3"),
    "Georgian_en": (0x10010D4, u"\u10D4"),
    "Georgian_fi": (0x10010F6, u"\u10F6"),
    "Georgian_gan": (0x10010D2, u"\u10D2"),
    "Georgian_ghan": (0x10010E6, u"\u10E6"),
    "Georgian_hae": (0x10010F0, u"\u10F0"),
    "Georgian_har": (0x10010F4, u"\u10F4"),
    "Georgian_he": (0x10010F1, u"\u10F1"),
    "Georgian_hie": (0x10010F2, u"\u10F2"),
    "Georgian_hoe": (0x10010F5, u"\u10F5"),
    "Georgian_in": (0x10010D8, u"\u10D8"),
    "Georgian_jhan": (0x10010EF, u"\u10EF"),
    "Georgian_jil": (0x10010EB, u"\u10EB"),
    "Georgian_kan": (0x10010D9, u"\u10D9"),
    "Georgian_khar": (0x10010E5, u"\u10E5"),
    "Georgian_las": (0x10010DA, u"\u10DA"),
    "Georgian_man": (0x10010DB, u"\u10DB"),
    "Georgian_nar": (0x10010DC, u"\u10DC"),
    "Georgian_on": (0x10010DD, u"\u10DD"),
    "Georgian_par": (0x10010DE, u"\u10DE"),
    "Georgian_phar": (0x10010E4, u"\u10E4"),
    "Georgian_qar": (0x10010E7, u"\u10E7"),
    "Georgian_rae": (0x10010E0, u"\u10E0"),
    "Georgian_san": (0x10010E1, u"\u10E1"),
    "Georgian_shin": (0x10010E8, u"\u10E8"),
    "Georgian_tan": (0x10010D7, u"\u10D7"),
    "Georgian_tar": (0x10010E2, u"\u10E2"),
    "Georgian_un": (0x10010E3, u"\u10E3"),
    "Georgian_vin": (0x10010D5, u"\u10D5"),
    "Georgian_we": (0x10010F3, u"\u10F3"),
    "Georgian_xan": (0x10010EE, u"\u10EE"),
    "Georgian_zen": (0x10010D6, u"\u10D6"),
    "Georgian_zhar": (0x10010DF, u"\u10DF"),
    "Greek_ALPHA": (0x07C1, u"\u0391"),
    "Greek_ALPHAaccent": (0x07A1, u"\u0386"),
    "Greek_BETA": (0x07C2, u"\u0392"),
    "Greek_CHI": (0x07D7, u"\u03A7"),
    "Greek_DELTA": (0x07C4, u"\u0394"),
    "Greek_EPSILON": (0x07C5, u"\u0395"),
    "Greek_EPSILONaccent": (0x07A2, u"\u0388"),
    "Greek_ETA": (0x07C7, u"\u0397"),
    "Greek_ETAaccent": (0x07A3, u"\u0389"),
    "Greek_GAMMA": (0x07C3, u"\u0393"),
    "Greek_IOTA": (0x07C9, u"\u0399"),
    "Greek_IOTAaccent": (0x07A4, u"\u038A"),
    "Greek_IOTAdieresis": (0x07A5, u"\u03AA"),
    "Greek_KAPPA": (0x07CA, u"\u039A"),
    "Greek_LAMBDA": (0x07CB, u"\u039B"),
    "Greek_LAMDA": (0x07CB, u"\u039B"),
    "Greek_MU": (0x07CC, u"\u039C"),
    "Greek_NU": (0x07CD, u"\u039D"),
    "Greek_OMEGA": (0x07D9, u"\u03A9"),
    "Greek_OMEGAaccent": (0x07AB, u"\u038F"),
    "Greek_OMICRON": (0x07CF, u"\u039F"),
    "Greek_OMICRONaccent": (0x07A7, u"\u038C"),
    "Greek_PHI": (0x07D6, u"\u03A6"),
    "Greek_PI": (0x07D0, u"\u03A0"),
    "Greek_PSI": (0x07D8, u"\u03A8"),
    "Greek_RHO": (0x07D1, u"\u03A1"),
    "Greek_SIGMA": (0x07D2, u"\u03A3"),
    "Greek_TAU": (0x07D4, u"\u03A4"),
    "Greek_THETA": (0x07C8, u"\u0398"),
    "Greek_UPSILON": (0x07D5, u"\u03A5"),
    "Greek_UPSILONaccent": (0x07A8, u"\u038E"),
    "Greek_UPSILONdieresis": (0x07A9, u"\u03AB"),
    "Greek_XI": (0x07CE, u"\u039E"),
    "Greek_ZETA": (0x07C6, u"\u0396"),
    "Greek_accentdieresis": (0x07AE, u"\u0385"),
    "Greek_alpha": (0x07E1, u"\u03B1"),
    "Greek_alphaaccent": (0x07B1, u"\u03AC"),
    "Greek_beta": (0x07E2, u"\u03B2"),
    "Greek_chi": (0x07F7, u"\u03C7"),
    "Greek_delta": (0x07E4, u"\u03B4"),
    "Greek_epsilon": (0x07E5, u"\u03B5"),
    "Greek_epsilonaccent": (0x07B2, u"\u03AD"),
    "Greek_eta": (0x07E7, u"\u03B7"),
    "Greek_etaaccent": (0x07B3, u"\u03AE"),
    "Greek_finalsmallsigma": (0x07F3, u"\u03C2"),
    "Greek_gamma": (0x07E3, u"\u03B3"),
    "Greek_horizbar": (0x07AF, u"\u2015"),
    "Greek_iota": (0x07E9, u"\u03B9"),
    "Greek_iotaaccent": (0x07B4, u"\u03AF"),
    "Greek_iotaaccentdieresis": (0x07B6, u"\u0390"),
    "Greek_iotadieresis": (0x07B5, u"\u03CA"),
    "Greek_kappa": (0x07EA, u"\u03BA"),
    "Greek_lambda": (0x07EB, u"\u03BB"),
    "Greek_lamda": (0x07EB, u"\u03BB"),
    "Greek_mu": (0x07EC, u"\u03BC"),
    "Greek_nu": (0x07ED, u"\u03BD"),
    "Greek_omega": (0x07F9, u"\u03C9"),
    "Greek_omegaaccent": (0x07BB, u"\u03CE"),
    "Greek_omicron": (0x07EF, u"\u03BF"),
    "Greek_omicronaccent": (0x07B7, u"\u03CC"),
    "Greek_phi": (0x07F6, u"\u03C6"),
    "Greek_pi": (0x07F0, u"\u03C0"),
    "Greek_psi": (0x07F8, u"\u03C8"),
    "Greek_rho": (0x07F1, u"\u03C1"),
    "Greek_sigma": (0x07F2, u"\u03C3"),
    "Greek_tau": (0x07F4, u"\u03C4"),
    "Greek_theta": (0x07E8, u"\u03B8"),
    "Greek_upsilon": (0x07F5, u"\u03C5"),
    "Greek_upsilonaccent": (0x07B8, u"\u03CD"),
    "Greek_upsilonaccentdieresis": (0x07BA, u"\u03B0"),
    "Greek_upsilondieresis": (0x07B9, u"\u03CB"),
    "Greek_xi": (0x07EE, u"\u03BE"),
    "Greek_zeta": (0x07E6, u"\u03B6"),
    "H": (0x0048, u"\u0048"),
    "Hcircumflex": (0x02A6, u"\u0124"),
    "Hstroke": (0x02A1, u"\u0126"),
    "I": (0x0049, u"\u0049"),
    "Iabovedot": (0x02A9, u"\u0130"),
    "Iacute": (0x00CD, u"\u00CD"),
    "Ibelowdot": (0x1001ECA, u"\u1ECA"),
    "Ibreve": (0x100012C, u"\u012C"),
    "Icircumflex": (0x00CE, u"\u00CE"),
    "Idiaeresis": (0x00CF, u"\u00CF"),
    "Igrave": (0x00CC, u"\u00CC"),
    "Ihook": (0x1001EC8, u"\u1EC8"),
    "Imacron": (0x03CF, u"\u012A"),
    "Iogonek": (0x03C7, u"\u012E"),
    "Itilde": (0x03A5, u"\u0128"),
    "J": (0x004A, u"\u004A"),
    "Jcircumflex": (0x02AC, u"\u0134"),
    "K": (0x004B, u"\u004B"),
    "KP_0": (0xFFB0, None),
    "KP_1": (0xFFB1, None),
    "KP_2": (0xFFB2, None),
    "KP_3": (0xFFB3, None),
    "KP_4": (0xFFB4, None),
    "KP_5": (0xFFB5, None),
    "KP_6": (0xFFB6, None),
    "KP_7": (0xFFB7, None),
    "KP_8": (0xFFB8, None),
    "KP_9": (0xFFB9, None),
    "KP_Add": (0xFFAB, None),
    "KP_Begin": (0xFF9D, None),
    "KP_Decimal": (0xFFAE, None),
    "KP_Delete": (0xFF9F, None),
    "KP_Divide": (0xFFAF, None),
    "KP_Down": (0xFF99, None),
    "KP_End": (0xFF9C, None),
    "KP_Enter": (0xFF8D, None),
    "KP_Equal": (0xFFBD, None),
    "KP_F1": (0xFF91, None),
    "KP_F2": (0xFF92, None),
    "KP_F3": (0xFF93, None),
    "KP_F4": (0xFF94, None),
    "KP_Home": (0xFF95, None),
    "KP_Insert": (0xFF9E, None),
    "KP_Left": (0xFF96, None),
    "KP_Multiply": (0xFFAA, None),
    "KP_Next": (0xFF9B, None),
    "KP_Page_Down": (0xFF9B, None),
    "KP_Page_Up": (0xFF9A, None),
    "KP_Prior": (0xFF9A, None),
    "KP_Right": (0xFF98, None),
    "KP_Separator": (0xFFAC, None),
    "KP_Space": (0xFF80, None),
    "KP_Subtract": (0xFFAD, None),
    "KP_Tab": (0xFF89, None),
    "KP_Up": (0xFF97, None),
    "Kcedilla": (0x03D3, u"\u0136"),
    "L": (0x004C, u"\u004C"),
    "Lacute": (0x01C5, u"\u0139"),
    "Lbelowdot": (0x1001E36, u"\u1E36"),
    "Lcaron": (0x01A5, u"\u013D"),
    "Lcedilla": (0x03A6, u"\u013B"),
    "LiraSign": (0x10020A4, u"\u20A4"),
    "Lstroke": (0x01A3, u"\u0141"),
    "M": (0x004D, u"\u004D"),
    "Mabovedot": (0x1001E40, u"\u1E40"),
    "Macedonia_DSE": (0x06B5, u"\u0405"),
    "Macedonia_GJE": (0x06B2, u"\u0403"),
    "Macedonia_KJE": (0x06BC, u"\u040C"),
    "Macedonia_dse": (0x06A5, u"\u0455"),
    "Macedonia_gje": (0x06A2, u"\u0453"),
    "Macedonia_kje": (0x06AC, u"\u045C"),
    "MillSign": (0x10020A5, u"\u20A5"),
    "N": (0x004E, u"\u004E"),
    "Nacute": (0x01D1, u"\u0143"),
    "NairaSign": (0x10020A6, u"\u20A6"),
    "Ncaron": (0x01D2, u"\u0147"),
    "Ncedilla": (0x03D1, u"\u0145"),
    "NewSheqelSign": (0x10020AA, u"\u20AA"),
    "Ntilde": (0x00D1, u"\u00D1"),
    "O": (0x004F, u"\u004F"),
    "OE": (0x13BC, u"\u0152"),
    "Oacute": (0x00D3, u"\u00D3"),
    "Obarred": (0x100019F, u"\u019F"),
    "Obelowdot": (0x1001ECC, u"\u1ECC"),
    "Ocaron": (0x10001D1, u"\u01D2"),
    "Ocircumflex": (0x00D4, u"\u00D4"),
    "Ocircumflexacute": (0x1001ED0, u"\u1ED0"),
    "Ocircumflexbelowdot": (0x1001ED8, u"\u1ED8"),
    "Ocircumflexgrave": (0x1001ED2, u"\u1ED2"),
    "Ocircumflexhook": (0x1001ED4, u"\u1ED4"),
    "Ocircumflextilde": (0x1001ED6, u"\u1ED6"),
    "Odiaeresis": (0x00D6, u"\u00D6"),
    "Odoubleacute": (0x01D5, u"\u0150"),
    "Ograve": (0x00D2, u"\u00D2"),
    "Ohook": (0x1001ECE, u"\u1ECE"),
    "Ohorn": (0x10001A0, u"\u01A0"),
    "Ohornacute": (0x1001EDA, u"\u1EDA"),
    "Ohornbelowdot": (0x1001EE2, u"\u1EE2"),
    "Ohorngrave": (0x1001EDC, u"\u1EDC"),
    "Ohornhook": (0x1001EDE, u"\u1EDE"),
    "Ohorntilde": (0x1001EE0, u"\u1EE0"),
    "Omacron": (0x03D2, u"\u014C"),
    "Ooblique": (0x00D8, u"\u00D8"),
    "Oslash": (0x00D8, u"\u00D8"),
    "Otilde": (0x00D5, u"\u00D5"),
    "P": (0x0050, u"\u0050"),
    "Pabovedot": (0x1001E56, u"\u1E56"),
    "PesetaSign": (0x10020A7, u"\u20A7"),
    "Q": (0x0051, u"\u0051"),
    "R": (0x0052, u"\u0052"),
    "Racute": (0x01C0, u"\u0154"),
    "Rcaron": (0x01D8, u"\u0158"),
    "Rcedilla": (0x03A3, u"\u0156"),
    "RupeeSign": (0x10020A8, u"\u20A8"),
    "S": (0x0053, u"\u0053"),
    "SCHWA": (0x100018F, u"\u018F"),
    "Sabovedot": (0x1001E60, u"\u1E60"),
    "Sacute": (0x01A6, u"\u015A"),
    "Scaron": (0x01A9, u"\u0160"),
    "Scedilla": (0x01AA, u"\u015E"),
    "Scircumflex": (0x02DE, u"\u015C"),
    "Serbian_DJE": (0x06B1, u"\u0402"),
    "Serbian_TSHE": (0x06BB, u"\u040B"),
    "Serbian_dje": (0x06A1, u"\u0452"),
    "Serbian_tshe": (0x06AB, u"\u045B"),
    "Sinh_a": (0x1000D85, u"\u0D85"),
    "Sinh_aa": (0x1000D86, u"\u0D86"),
    "Sinh_aa2": (0x1000DCF, u"\u0DCF"),
    "Sinh_ae": (0x1000D87, u"\u0D87"),
    "Sinh_ae2": (0x1000DD0, u"\u0DD0"),
    "Sinh_aee": (0x1000D88, u"\u0D88"),
    "Sinh_aee2": (0x1000DD1, u"\u0DD1"),
    "Sinh_ai": (0x1000D93, u"\u0D93"),
    "Sinh_ai2": (0x1000DDB, u"\u0DDB"),
    "Sinh_al": (0x1000DCA, u"\u0DCA"),
    "Sinh_au": (0x1000D96, u"\u0D96"),
    "Sinh_au2": (0x1000DDE, u"\u0DDE"),
    "Sinh_ba": (0x1000DB6, u"\u0DB6"),
    "Sinh_bha": (0x1000DB7, u"\u0DB7"),
    "Sinh_ca": (0x1000DA0, u"\u0DA0"),
    "Sinh_cha": (0x1000DA1, u"\u0DA1"),
    "Sinh_dda": (0x1000DA9, u"\u0DA9"),
    "Sinh_ddha": (0x1000DAA, u"\u0DAA"),
    "Sinh_dha": (0x1000DAF, u"\u0DAF"),
    "Sinh_dhha": (0x1000DB0, u"\u0DB0"),
    "Sinh_e": (0x1000D91, u"\u0D91"),
    "Sinh_e2": (0x1000DD9, u"\u0DD9"),
    "Sinh_ee": (0x1000D92, u"\u0D92"),
    "Sinh_ee2": (0x1000DDA, u"\u0DDA"),
    "Sinh_fa": (0x1000DC6, u"\u0DC6"),
    "Sinh_ga": (0x1000D9C, u"\u0D9C"),
    "Sinh_gha": (0x1000D9D, u"\u0D9D"),
    "Sinh_h2": (0x1000D83, u"\u0D83"),
    "Sinh_ha": (0x1000DC4, u"\u0DC4"),
    "Sinh_i": (0x1000D89, u"\u0D89"),
    "Sinh_i2": (0x1000DD2, u"\u0DD2"),
    "Sinh_ii": (0x1000D8A, u"\u0D8A"),
    "Sinh_ii2": (0x1000DD3, u"\u0DD3"),
    "Sinh_ja": (0x1000DA2, u"\u0DA2"),
    "Sinh_jha": (0x1000DA3, u"\u0DA3"),
    "Sinh_jnya": (0x1000DA5, u"\u0DA5"),
    "Sinh_ka": (0x1000D9A, u"\u0D9A"),
    "Sinh_kha": (0x1000D9B, u"\u0D9B"),
    "Sinh_kunddaliya": (0x1000DF4, u"\u0DF4"),
    "Sinh_la": (0x1000DBD, u"\u0DBD"),
    "Sinh_lla": (0x1000DC5, u"\u0DC5"),
    "Sinh_lu": (0x1000D8F, u"\u0D8F"),
    "Sinh_lu2": (0x1000DDF, u"\u0DDF"),
    "Sinh_luu": (0x1000D90, u"\u0D90"),
    "Sinh_luu2": (0x1000DF3, u"\u0DF3"),
    "Sinh_ma": (0x1000DB8, u"\u0DB8"),
    "Sinh_mba": (0x1000DB9, u"\u0DB9"),
    "Sinh_na": (0x1000DB1, u"\u0DB1"),
    "Sinh_ndda": (0x1000DAC, u"\u0DAC"),
    "Sinh_ndha": (0x1000DB3, u"\u0DB3"),
    "Sinh_ng": (0x1000D82, u"\u0D82"),
    "Sinh_ng2": (0x1000D9E, u"\u0D9E"),
    "Sinh_nga": (0x1000D9F, u"\u0D9F"),
    "Sinh_nja": (0x1000DA6, u"\u0DA6"),
    "Sinh_nna": (0x1000DAB, u"\u0DAB"),
    "Sinh_nya": (0x1000DA4, u"\u0DA4"),
    "Sinh_o": (0x1000D94, u"\u0D94"),
    "Sinh_o2": (0x1000DDC, u"\u0DDC"),
    "Sinh_oo": (0x1000D95, u"\u0D95"),
    "Sinh_oo2": (0x1000DDD, u"\u0DDD"),
    "Sinh_pa": (0x1000DB4, u"\u0DB4"),
    "Sinh_pha": (0x1000DB5, u"\u0DB5"),
    "Sinh_ra": (0x1000DBB, u"\u0DBB"),
    "Sinh_ri": (0x1000D8D, u"\u0D8D"),
    "Sinh_rii": (0x1000D8E, u"\u0D8E"),
    "Sinh_ru2": (0x1000DD8, u"\u0DD8"),
    "Sinh_ruu2": (0x1000DF2, u"\u0DF2"),
    "Sinh_sa": (0x1000DC3, u"\u0DC3"),
    "Sinh_sha": (0x1000DC1, u"\u0DC1"),
    "Sinh_ssha": (0x1000DC2, u"\u0DC2"),
    "Sinh_tha": (0x1000DAD, u"\u0DAD"),
    "Sinh_thha": (0x1000DAE, u"\u0DAE"),
    "Sinh_tta": (0x1000DA7, u"\u0DA7"),
    "Sinh_ttha": (0x1000DA8, u"\u0DA8"),
    "Sinh_u": (0x1000D8B, u"\u0D8B"),
    "Sinh_u2": (0x1000DD4, u"\u0DD4"),
    "Sinh_uu": (0x1000D8C, u"\u0D8C"),
    "Sinh_uu2": (0x1000DD6, u"\u0DD6"),
    "Sinh_va": (0x1000DC0, u"\u0DC0"),
    "Sinh_ya": (0x1000DBA, u"\u0DBA"),
    "T": (0x0054, u"\u0054"),
    "THORN": (0x00DE, u"\u00DE"),
    "Tabovedot": (0x1001E6A, u"\u1E6A"),
    "Tcaron": (0x01AB, u"\u0164"),
    "Tcedilla": (0x01DE, u"\u0162"),
    "Thai_baht": (0x0DDF, u"\u0E3F"),
    "Thai_bobaimai": (0x0DBA, u"\u0E1A"),
    "Thai_chochan": (0x0DA8, u"\u0E08"),
    "Thai_chochang": (0x0DAA, u"\u0E0A"),
    "Thai_choching": (0x0DA9, u"\u0E09"),
    "Thai_chochoe": (0x0DAC, u"\u0E0C"),
    "Thai_dochada": (0x0DAE, u"\u0E0E"),
    "Thai_dodek": (0x0DB4, u"\u0E14"),
    "Thai_fofa": (0x0DBD, u"\u0E1D"),
    "Thai_fofan": (0x0DBF, u"\u0E1F"),
    "Thai_hohip": (0x0DCB, u"\u0E2B"),
    "Thai_honokhuk": (0x0DCE, u"\u0E2E"),
    "Thai_khokhai": (0x0DA2, u"\u0E02"),
    "Thai_khokhon": (0x0DA5, u"\u0E05"),
    "Thai_khokhuat": (0x0DA3, u"\u0E03"),
    "Thai_khokhwai": (0x0DA4, u"\u0E04"),
    "Thai_khorakhang": (0x0DA6, u"\u0E06"),
    "Thai_kokai": (0x0DA1, u"\u0E01"),
    "Thai_lakkhangyao": (0x0DE5, u"\u0E45"),
    "Thai_lekchet": (0x0DF7, u"\u0E57"),
    "Thai_lekha": (0x0DF5, u"\u0E55"),
    "Thai_lekhok": (0x0DF6, u"\u0E56"),
    "Thai_lekkao": (0x0DF9, u"\u0E59"),
    "Thai_leknung": (0x0DF1, u"\u0E51"),
    "Thai_lekpaet": (0x0DF8, u"\u0E58"),
    "Thai_leksam": (0x0DF3, u"\u0E53"),
    "Thai_leksi": (0x0DF4, u"\u0E54"),
    "Thai_leksong": (0x0DF2, u"\u0E52"),
    "Thai_leksun": (0x0DF0, u"\u0E50"),
    "Thai_lochula": (0x0DCC, u"\u0E2C"),
    "Thai_loling": (0x0DC5, u"\u0E25"),
    "Thai_lu": (0x0DC6, u"\u0E26"),
    "Thai_maichattawa": (0x0DEB, u"\u0E4B"),
    "Thai_maiek": (0x0DE8, u"\u0E48"),
    "Thai_maihanakat": (0x0DD1, u"\u0E31"),
    "Thai_maitaikhu": (0x0DE7, u"\u0E47"),
    "Thai_maitho": (0x0DE9, u"\u0E49"),
    "Thai_maitri": (0x0DEA, u"\u0E4A"),
    "Thai_maiyamok": (0x0DE6, u"\u0E46"),
    "Thai_moma": (0x0DC1, u"\u0E21"),
    "Thai_ngongu": (0x0DA7, u"\u0E07"),
    "Thai_nikhahit": (0x0DED, u"\u0E4D"),
    "Thai_nonen": (0x0DB3, u"\u0E13"),
    "Thai_nonu": (0x0DB9, u"\u0E19"),
    "Thai_oang": (0x0DCD, u"\u0E2D"),
    "Thai_paiyannoi": (0x0DCF, u"\u0E2F"),
    "Thai_phinthu": (0x0DDA, u"\u0E3A"),
    "Thai_phophan": (0x0DBE, u"\u0E1E"),
    "Thai_phophung": (0x0DBC, u"\u0E1C"),
    "Thai_phosamphao": (0x0DC0, u"\u0E20"),
    "Thai_popla": (0x0DBB, u"\u0E1B"),
    "Thai_rorua": (0x0DC3, u"\u0E23"),
    "Thai_ru": (0x0DC4, u"\u0E24"),
    "Thai_saraa": (0x0DD0, u"\u0E30"),
    "Thai_saraaa": (0x0DD2, u"\u0E32"),
    "Thai_saraae": (0x0DE1, u"\u0E41"),
    "Thai_saraaimaimalai": (0x0DE4, u"\u0E44"),
    "Thai_saraaimaimuan": (0x0DE3, u"\u0E43"),
    "Thai_saraam": (0x0DD3, u"\u0E33"),
    "Thai_sarae": (0x0DE0, u"\u0E40"),
    "Thai_sarai": (0x0DD4, u"\u0E34"),
    "Thai_saraii": (0x0DD5, u"\u0E35"),
    "Thai_sarao": (0x0DE2, u"\u0E42"),
    "Thai_sarau": (0x0DD8, u"\u0E38"),
    "Thai_saraue": (0x0DD6, u"\u0E36"),
    "Thai_sarauee": (0x0DD7, u"\u0E37"),
    "Thai_sarauu": (0x0DD9, u"\u0E39"),
    "Thai_sorusi": (0x0DC9, u"\u0E29"),
    "Thai_sosala": (0x0DC8, u"\u0E28"),
    "Thai_soso": (0x0DAB, u"\u0E0B"),
    "Thai_sosua": (0x0DCA, u"\u0E2A"),
    "Thai_thanthakhat": (0x0DEC, u"\u0E4C"),
    "Thai_thonangmontho": (0x0DB1, u"\u0E11"),
    "Thai_thophuthao": (0x0DB2, u"\u0E12"),
    "Thai_thothahan": (0x0DB7, u"\u0E17"),
    "Thai_thothan": (0x0DB0, u"\u0E10"),
    "Thai_thothong": (0x0DB8, u"\u0E18"),
    "Thai_thothung": (0x0DB6, u"\u0E16"),
    "Thai_topatak": (0x0DAF, u"\u0E0F"),
    "Thai_totao": (0x0DB5, u"\u0E15"),
    "Thai_wowaen": (0x0DC7, u"\u0E27"),
    "Thai_yoyak": (0x0DC2, u"\u0E22"),
    "Thai_yoying": (0x0DAD, u"\u0E0D"),
    "Tslash": (0x03AC, u"\u0166"),
    "U": (0x0055, u"\u0055"),
    "Uacute": (0x00DA, u"\u00DA"),
    "Ubelowdot": (0x1001EE4, u"\u1EE4"),
    "Ubreve": (0x02DD, u"\u016C"),
    "Ucircumflex": (0x00DB, u"\u00DB"),
    "Udiaeresis": (0x00DC, u"\u00DC"),
    "Udoubleacute": (0x01DB, u"\u0170"),
    "Ugrave": (0x00D9, u"\u00D9"),
    "Uhook": (0x1001EE6, u"\u1EE6"),
    "Uhorn": (0x10001AF, u"\u01AF"),
    "Uhornacute": (0x1001EE8, u"\u1EE8"),
    "Uhornbelowdot": (0x1001EF0, u"\u1EF0"),
    "Uhorngrave": (0x1001EEA, u"\u1EEA"),
    "Uhornhook": (0x1001EEC, u"\u1EEC"),
    "Uhorntilde": (0x1001EEE, u"\u1EEE"),
    "Ukrainian_GHE_WITH_UPTURN": (0x06BD, u"\u0490"),
    "Ukrainian_I": (0x06B6, u"\u0406"),
    "Ukrainian_IE": (0x06B4, u"\u0404"),
    "Ukrainian_YI": (0x06B7, u"\u0407"),
    "Ukrainian_ghe_with_upturn": (0x06AD, u"\u0491"),
    "Ukrainian_i": (0x06A6, u"\u0456"),
    "Ukrainian_ie": (0x06A4, u"\u0454"),
    "Ukrainian_yi": (0x06A7, u"\u0457"),
    "Umacron": (0x03DE, u"\u016A"),
    "Uogonek": (0x03D9, u"\u0172"),
    "Uring": (0x01D9, u"\u016E"),
    "Utilde": (0x03DD, u"\u0168"),
    "V": (0x0056, u"\u0056"),
    "W": (0x0057, u"\u0057"),
    "Wacute": (0x1001E82, u"\u1E82"),
    "Wcircumflex": (0x1000174, u"\u0174"),
    "Wdiaeresis": (0x1001E84, u"\u1E84"),
    "Wgrave": (0x1001E80, u"\u1E80"),
    "WonSign": (0x10020A9, u"\u20A9"),
    "X": (0x0058, u"\u0058"),
    "Xabovedot": (0x1001E8A, u"\u1E8A"),
    "Y": (0x0059, u"\u0059"),
    "Yacute": (0x00DD, u"\u00DD"),
    "Ybelowdot": (0x1001EF4, u"\u1EF4"),
    "Ycircumflex": (0x1000176, u"\u0176"),
    "Ydiaeresis": (0x13BE, u"\u0178"),
    "Ygrave": (0x1001EF2, u"\u1EF2"),
    "Yhook": (0x1001EF6, u"\u1EF6"),
    "Ytilde": (0x1001EF8, u"\u1EF8"),
    "Z": (0x005A, u"\u005A"),
    "Zabovedot": (0x01AF, u"\u017B"),
    "Zacute": (0x01AC, u"\u0179"),
    "Zcaron": (0x01AE, u"\u017D"),
    "Zstroke": (0x10001B5, u"\u01B5"),
    "a": (0x0061, u"\u0061"),
    "aacute": (0x00E1, u"\u00E1"),
    "abelowdot": (0x1001EA1, u"\u1EA1"),
    "abovedot": (0x01FF, u"\u02D9"),
    "abreve": (0x01E3, u"\u0103"),
    "abreveacute": (0x1001EAF, u"\u1EAF"),
    "abrevebelowdot": (0x1001EB7, u"\u1EB7"),
    "abrevegrave": (0x1001EB1, u"\u1EB1"),
    "abrevehook": (0x1001EB3, u"\u1EB3"),
    "abrevetilde": (0x1001EB5, u"\u1EB5"),
    "acircumflex": (0x00E2, u"\u00E2"),
    "acircumflexacute": (0x1001EA5, u"\u1EA5"),
    "acircumflexbelowdot": (0x1001EAD, u"\u1EAD"),
    "acircumflexgrave": (0x1001EA7, u"\u1EA7"),
    "acircumflexhook": (0x1001EA9, u"\u1EA9"),
    "acircumflextilde": (0x1001EAB, u"\u1EAB"),
    "acute": (0x00B4, u"\u00B4"),
    "adiaeresis": (0x00E4, u"\u00E4"),
    "ae": (0x00E6, u"\u00E6"),
    "agrave": (0x00E0, u"\u00E0"),
    "ahook": (0x1001EA3, u"\u1EA3"),
    "amacron": (0x03E0, u"\u0101"),
    "ampersand": (0x0026, u"\u0026"),
    "aogonek": (0x01B1, u"\u0105"),
    "apostrophe": (0x0027, u"\u0027"),
    "approxeq": (0x1002248, u"\u2245"),
    "approximate": (0x08C8, u"\u223C"),
    "aring": (0x00E5, u"\u00E5"),
    "asciicircum": (0x005E, u"\u005E"),
    "asciitilde": (0x007E, u"\u007E"),
    "asterisk": (0x002A, u"\u002A"),
    "at": (0x0040, u"\u0040"),
    "atilde": (0x00E3, u"\u00E3"),
    "b": (0x0062, u"\u0062"),
    "babovedot": (0x1001E03, u"\u1E03"),
    "backslash": (0x005C, u"\u005C"),
    "ballotcross": (0x0AF4, u"\u2717"),
    "bar": (0x007C, u"\u007C"),
    "because": (0x1002235, u"\u2235"),
    "botintegral": (0x08A5, u"\u2321"),
    "botleftparens": (0x08AC, u"\u239D"),
    "botleftsqbracket": (0x08A8, u"\u23A3"),
    "botrightparens": (0x08AE, u"\u23A0"),
    "botrightsqbracket": (0x08AA, u"\u23A6"),
    "bott": (0x09F6, u"\u2534"),
    "braceleft": (0x007B, u"\u007B"),
    "braceright": (0x007D, u"\u007D"),
    "bracketleft": (0x005B, u"\u005B"),
    "bracketright": (0x005D, u"\u005D"),
    "braille_blank": (0x1002800, u"\u2800"),
    "braille_dots_1": (0x1002801, u"\u2801"),
    "braille_dots_12": (0x1002803, u"\u2803"),
    "braille_dots_123": (0x1002807, u"\u2807"),
    "braille_dots_1234": (0x100280F, u"\u280f"),
    "braille_dots_12345": (0x100281F, u"\u281f"),
    "braille_dots_123456": (0x100283F, u"\u283f"),
    "braille_dots_1234567": (0x100287F, u"\u287f"),
    "braille_dots_12345678": (0x10028FF, u"\u28ff"),
    "braille_dots_1234568": (0x10028BF, u"\u28bf"),
    "braille_dots_123457": (0x100285F, u"\u285f"),
    "braille_dots_1234578": (0x10028DF, u"\u28df"),
    "braille_dots_123458": (0x100289F, u"\u289f"),
    "braille_dots_12346": (0x100282F, u"\u282f"),
    "braille_dots_123467": (0x100286F, u"\u286f"),
    "braille_dots_1234678": (0x10028EF, u"\u28ef"),
    "braille_dots_123468": (0x10028AF, u"\u28af"),
    "braille_dots_12347": (0x100284F, u"\u284f"),
    "braille_dots_123478": (0x10028CF, u"\u28cf"),
    "braille_dots_12348": (0x100288F, u"\u288f"),
    "braille_dots_1235": (0x1002817, u"\u2817"),
    "braille_dots_12356": (0x1002837, u"\u2837"),
    "braille_dots_123567": (0x1002877, u"\u2877"),
    "braille_dots_1235678": (0x10028F7, u"\u28f7"),
    "braille_dots_123568": (0x10028B7, u"\u28b7"),
    "braille_dots_12357": (0x1002857, u"\u2857"),
    "braille_dots_123578": (0x10028D7, u"\u28d7"),
    "braille_dots_12358": (0x1002897, u"\u2897"),
    "braille_dots_1236": (0x1002827, u"\u2827"),
    "braille_dots_12367": (0x1002867, u"\u2867"),
    "braille_dots_123678": (0x10028E7, u"\u28e7"),
    "braille_dots_12368": (0x10028A7, u"\u28a7"),
    "braille_dots_1237": (0x1002847, u"\u2847"),
    "braille_dots_12378": (0x10028C7, u"\u28c7"),
    "braille_dots_1238": (0x1002887, u"\u2887"),
    "braille_dots_124": (0x100280B, u"\u280b"),
    "braille_dots_1245": (0x100281B, u"\u281b"),
    "braille_dots_12456": (0x100283B, u"\u283b"),
    "braille_dots_124567": (0x100287B, u"\u287b"),
    "braille_dots_1245678": (0x10028FB, u"\u28fb"),
    "braille_dots_124568": (0x10028BB, u"\u28bb"),
    "braille_dots_12457": (0x100285B, u"\u285b"),
    "braille_dots_124578": (0x10028DB, u"\u28db"),
    "braille_dots_12458": (0x100289B, u"\u289b"),
    "braille_dots_1246": (0x100282B, u"\u282b"),
    "braille_dots_12467": (0x100286B, u"\u286b"),
    "braille_dots_124678": (0x10028EB, u"\u28eb"),
    "braille_dots_12468": (0x10028AB, u"\u28ab"),
    "braille_dots_1247": (0x100284B, u"\u284b"),
    "braille_dots_12478": (0x10028CB, u"\u28cb"),
    "braille_dots_1248": (0x100288B, u"\u288b"),
    "braille_dots_125": (0x1002813, u"\u2813"),
    "braille_dots_1256": (0x1002833, u"\u2833"),
    "braille_dots_12567": (0x1002873, u"\u2873"),
    "braille_dots_125678": (0x10028F3, u"\u28f3"),
    "braille_dots_12568": (0x10028B3, u"\u28b3"),
    "braille_dots_1257": (0x1002853, u"\u2853"),
    "braille_dots_12578": (0x10028D3, u"\u28d3"),
    "braille_dots_1258": (0x1002893, u"\u2893"),
    "braille_dots_126": (0x1002823, u"\u2823"),
    "braille_dots_1267": (0x1002863, u"\u2863"),
    "braille_dots_12678": (0x10028E3, u"\u28e3"),
    "braille_dots_1268": (0x10028A3, u"\u28a3"),
    "braille_dots_127": (0x1002843, u"\u2843"),
    "braille_dots_1278": (0x10028C3, u"\u28c3"),
    "braille_dots_128": (0x1002883, u"\u2883"),
    "braille_dots_13": (0x1002805, u"\u2805"),
    "braille_dots_134": (0x100280D, u"\u280d"),
    "braille_dots_1345": (0x100281D, u"\u281d"),
    "braille_dots_13456": (0x100283D, u"\u283d"),
    "braille_dots_134567": (0x100287D, u"\u287d"),
    "braille_dots_1345678": (0x10028FD, u"\u28fd"),
    "braille_dots_134568": (0x10028BD, u"\u28bd"),
    "braille_dots_13457": (0x100285D, u"\u285d"),
    "braille_dots_134578": (0x10028DD, u"\u28dd"),
    "braille_dots_13458": (0x100289D, u"\u289d"),
    "braille_dots_1346": (0x100282D, u"\u282d"),
    "braille_dots_13467": (0x100286D, u"\u286d"),
    "braille_dots_134678": (0x10028ED, u"\u28ed"),
    "braille_dots_13468": (0x10028AD, u"\u28ad"),
    "braille_dots_1347": (0x100284D, u"\u284d"),
    "braille_dots_13478": (0x10028CD, u"\u28cd"),
    "braille_dots_1348": (0x100288D, u"\u288d"),
    "braille_dots_135": (0x1002815, u"\u2815"),
    "braille_dots_1356": (0x1002835, u"\u2835"),
    "braille_dots_13567": (0x1002875, u"\u2875"),
    "braille_dots_135678": (0x10028F5, u"\u28f5"),
    "braille_dots_13568": (0x10028B5, u"\u28b5"),
    "braille_dots_1357": (0x1002855, u"\u2855"),
    "braille_dots_13578": (0x10028D5, u"\u28d5"),
    "braille_dots_1358": (0x1002895, u"\u2895"),
    "braille_dots_136": (0x1002825, u"\u2825"),
    "braille_dots_1367": (0x1002865, u"\u2865"),
    "braille_dots_13678": (0x10028E5, u"\u28e5"),
    "braille_dots_1368": (0x10028A5, u"\u28a5"),
    "braille_dots_137": (0x1002845, u"\u2845"),
    "braille_dots_1378": (0x10028C5, u"\u28c5"),
    "braille_dots_138": (0x1002885, u"\u2885"),
    "braille_dots_14": (0x1002809, u"\u2809"),
    "braille_dots_145": (0x1002819, u"\u2819"),
    "braille_dots_1456": (0x1002839, u"\u2839"),
    "braille_dots_14567": (0x1002879, u"\u2879"),
    "braille_dots_145678": (0x10028F9, u"\u28f9"),
    "braille_dots_14568": (0x10028B9, u"\u28b9"),
    "braille_dots_1457": (0x1002859, u"\u2859"),
    "braille_dots_14578": (0x10028D9, u"\u28d9"),
    "braille_dots_1458": (0x1002899, u"\u2899"),
    "braille_dots_146": (0x1002829, u"\u2829"),
    "braille_dots_1467": (0x1002869, u"\u2869"),
    "braille_dots_14678": (0x10028E9, u"\u28e9"),
    "braille_dots_1468": (0x10028A9, u"\u28a9"),
    "braille_dots_147": (0x1002849, u"\u2849"),
    "braille_dots_1478": (0x10028C9, u"\u28c9"),
    "braille_dots_148": (0x1002889, u"\u2889"),
    "braille_dots_15": (0x1002811, u"\u2811"),
    "braille_dots_156": (0x1002831, u"\u2831"),
    "braille_dots_1567": (0x1002871, u"\u2871"),
    "braille_dots_15678": (0x10028F1, u"\u28f1"),
    "braille_dots_1568": (0x10028B1, u"\u28b1"),
    "braille_dots_157": (0x1002851, u"\u2851"),
    "braille_dots_1578": (0x10028D1, u"\u28d1"),
    "braille_dots_158": (0x1002891, u"\u2891"),
    "braille_dots_16": (0x1002821, u"\u2821"),
    "braille_dots_167": (0x1002861, u"\u2861"),
    "braille_dots_1678": (0x10028E1, u"\u28e1"),
    "braille_dots_168": (0x10028A1, u"\u28a1"),
    "braille_dots_17": (0x1002841, u"\u2841"),
    "braille_dots_178": (0x10028C1, u"\u28c1"),
    "braille_dots_18": (0x1002881, u"\u2881"),
    "braille_dots_2": (0x1002802, u"\u2802"),
    "braille_dots_23": (0x1002806, u"\u2806"),
    "braille_dots_234": (0x100280E, u"\u280e"),
    "braille_dots_2345": (0x100281E, u"\u281e"),
    "braille_dots_23456": (0x100283E, u"\u283e"),
    "braille_dots_234567": (0x100287E, u"\u287e"),
    "braille_dots_2345678": (0x10028FE, u"\u28fe"),
    "braille_dots_234568": (0x10028BE, u"\u28be"),
    "braille_dots_23457": (0x100285E, u"\u285e"),
    "braille_dots_234578": (0x10028DE, u"\u28de"),
    "braille_dots_23458": (0x100289E, u"\u289e"),
    "braille_dots_2346": (0x100282E, u"\u282e"),
    "braille_dots_23467": (0x100286E, u"\u286e"),
    "braille_dots_234678": (0x10028EE, u"\u28ee"),
    "braille_dots_23468": (0x10028AE, u"\u28ae"),
    "braille_dots_2347": (0x100284E, u"\u284e"),
    "braille_dots_23478": (0x10028CE, u"\u28ce"),
    "braille_dots_2348": (0x100288E, u"\u288e"),
    "braille_dots_235": (0x1002816, u"\u2816"),
    "braille_dots_2356": (0x1002836, u"\u2836"),
    "braille_dots_23567": (0x1002876, u"\u2876"),
    "braille_dots_235678": (0x10028F6, u"\u28f6"),
    "braille_dots_23568": (0x10028B6, u"\u28b6"),
    "braille_dots_2357": (0x1002856, u"\u2856"),
    "braille_dots_23578": (0x10028D6, u"\u28d6"),
    "braille_dots_2358": (0x1002896, u"\u2896"),
    "braille_dots_236": (0x1002826, u"\u2826"),
    "braille_dots_2367": (0x1002866, u"\u2866"),
    "braille_dots_23678": (0x10028E6, u"\u28e6"),
    "braille_dots_2368": (0x10028A6, u"\u28a6"),
    "braille_dots_237": (0x1002846, u"\u2846"),
    "braille_dots_2378": (0x10028C6, u"\u28c6"),
    "braille_dots_238": (0x1002886, u"\u2886"),
    "braille_dots_24": (0x100280A, u"\u280a"),
    "braille_dots_245": (0x100281A, u"\u281a"),
    "braille_dots_2456": (0x100283A, u"\u283a"),
    "braille_dots_24567": (0x100287A, u"\u287a"),
    "braille_dots_245678": (0x10028FA, u"\u28fa"),
    "braille_dots_24568": (0x10028BA, u"\u28ba"),
    "braille_dots_2457": (0x100285A, u"\u285a"),
    "braille_dots_24578": (0x10028DA, u"\u28da"),
    "braille_dots_2458": (0x100289A, u"\u289a"),
    "braille_dots_246": (0x100282A, u"\u282a"),
    "braille_dots_2467": (0x100286A, u"\u286a"),
    "braille_dots_24678": (0x10028EA, u"\u28ea"),
    "braille_dots_2468": (0x10028AA, u"\u28aa"),
    "braille_dots_247": (0x100284A, u"\u284a"),
    "braille_dots_2478": (0x10028CA, u"\u28ca"),
    "braille_dots_248": (0x100288A, u"\u288a"),
    "braille_dots_25": (0x1002812, u"\u2812"),
    "braille_dots_256": (0x1002832, u"\u2832"),
    "braille_dots_2567": (0x1002872, u"\u2872"),
    "braille_dots_25678": (0x10028F2, u"\u28f2"),
    "braille_dots_2568": (0x10028B2, u"\u28b2"),
    "braille_dots_257": (0x1002852, u"\u2852"),
    "braille_dots_2578": (0x10028D2, u"\u28d2"),
    "braille_dots_258": (0x1002892, u"\u2892"),
    "braille_dots_26": (0x1002822, u"\u2822"),
    "braille_dots_267": (0x1002862, u"\u2862"),
    "braille_dots_2678": (0x10028E2, u"\u28e2"),
    "braille_dots_268": (0x10028A2, u"\u28a2"),
    "braille_dots_27": (0x1002842, u"\u2842"),
    "braille_dots_278": (0x10028C2, u"\u28c2"),
    "braille_dots_28": (0x1002882, u"\u2882"),
    "braille_dots_3": (0x1002804, u"\u2804"),
    "braille_dots_34": (0x100280C, u"\u280c"),
    "braille_dots_345": (0x100281C, u"\u281c"),
    "braille_dots_3456": (0x100283C, u"\u283c"),
    "braille_dots_34567": (0x100287C, u"\u287c"),
    "braille_dots_345678": (0x10028FC, u"\u28fc"),
    "braille_dots_34568": (0x10028BC, u"\u28bc"),
    "braille_dots_3457": (0x100285C, u"\u285c"),
    "braille_dots_34578": (0x10028DC, u"\u28dc"),
    "braille_dots_3458": (0x100289C, u"\u289c"),
    "braille_dots_346": (0x100282C, u"\u282c"),
    "braille_dots_3467": (0x100286C, u"\u286c"),
    "braille_dots_34678": (0x10028EC, u"\u28ec"),
    "braille_dots_3468": (0x10028AC, u"\u28ac"),
    "braille_dots_347": (0x100284C, u"\u284c"),
    "braille_dots_3478": (0x10028CC, u"\u28cc"),
    "braille_dots_348": (0x100288C, u"\u288c"),
    "braille_dots_35": (0x1002814, u"\u2814"),
    "braille_dots_356": (0x1002834, u"\u2834"),
    "braille_dots_3567": (0x1002874, u"\u2874"),
    "braille_dots_35678": (0x10028F4, u"\u28f4"),
    "braille_dots_3568": (0x10028B4, u"\u28b4"),
    "braille_dots_357": (0x1002854, u"\u2854"),
    "braille_dots_3578": (0x10028D4, u"\u28d4"),
    "braille_dots_358": (0x1002894, u"\u2894"),
    "braille_dots_36": (0x1002824, u"\u2824"),
    "braille_dots_367": (0x1002864, u"\u2864"),
    "braille_dots_3678": (0x10028E4, u"\u28e4"),
    "braille_dots_368": (0x10028A4, u"\u28a4"),
    "braille_dots_37": (0x1002844, u"\u2844"),
    "braille_dots_378": (0x10028C4, u"\u28c4"),
    "braille_dots_38": (0x1002884, u"\u2884"),
    "braille_dots_4": (0x1002808, u"\u2808"),
    "braille_dots_45": (0x1002818, u"\u2818"),
    "braille_dots_456": (0x1002838, u"\u2838"),
    "braille_dots_4567": (0x1002878, u"\u2878"),
    "braille_dots_45678": (0x10028F8, u"\u28f8"),
    "braille_dots_4568": (0x10028B8, u"\u28b8"),
    "braille_dots_457": (0x1002858, u"\u2858"),
    "braille_dots_4578": (0x10028D8, u"\u28d8"),
    "braille_dots_458": (0x1002898, u"\u2898"),
    "braille_dots_46": (0x1002828, u"\u2828"),
    "braille_dots_467": (0x1002868, u"\u2868"),
    "braille_dots_4678": (0x10028E8, u"\u28e8"),
    "braille_dots_468": (0x10028A8, u"\u28a8"),
    "braille_dots_47": (0x1002848, u"\u2848"),
    "braille_dots_478": (0x10028C8, u"\u28c8"),
    "braille_dots_48": (0x1002888, u"\u2888"),
    "braille_dots_5": (0x1002810, u"\u2810"),
    "braille_dots_56": (0x1002830, u"\u2830"),
    "braille_dots_567": (0x1002870, u"\u2870"),
    "braille_dots_5678": (0x10028F0, u"\u28f0"),
    "braille_dots_568": (0x10028B0, u"\u28b0"),
    "braille_dots_57": (0x1002850, u"\u2850"),
    "braille_dots_578": (0x10028D0, u"\u28d0"),
    "braille_dots_58": (0x1002890, u"\u2890"),
    "braille_dots_6": (0x1002820, u"\u2820"),
    "braille_dots_67": (0x1002860, u"\u2860"),
    "braille_dots_678": (0x10028E0, u"\u28e0"),
    "braille_dots_68": (0x10028A0, u"\u28a0"),
    "braille_dots_7": (0x1002840, u"\u2840"),
    "braille_dots_78": (0x10028C0, u"\u28c0"),
    "braille_dots_8": (0x1002880, u"\u2880"),
    "breve": (0x01A2, u"\u02D8"),
    "brokenbar": (0x00A6, u"\u00A6"),
    "c": (0x0063, u"\u0063"),
    "cabovedot": (0x02E5, u"\u010B"),
    "cacute": (0x01E6, u"\u0107"),
    "careof": (0x0AB8, u"\u2105"),
    "caret": (0x0AFC, u"\u2038"),
    "caron": (0x01B7, u"\u02C7"),
    "ccaron": (0x01E8, u"\u010D"),
    "ccedilla": (0x00E7, u"\u00E7"),
    "ccircumflex": (0x02E6, u"\u0109"),
    "cedilla": (0x00B8, u"\u00B8"),
    "cent": (0x00A2, u"\u00A2"),
    "checkerboard": (0x09E1, u"\u2592"),
    "checkmark": (0x0AF3, u"\u2713"),
    "circle": (0x0BCF, u"\u25CB"),
    "club": (0x0AEC, u"\u2663"),
    "colon": (0x003A, u"\u003A"),
    "comma": (0x002C, u"\u002C"),
    "containsas": (0x100220B, u"\u220B"),
    "copyright": (0x00A9, u"\u00A9"),
    "cr": (0x09E4, u"\u240D"),
    "crossinglines": (0x09EE, u"\u253C"),
    "cuberoot": (0x100221B, u"\u221B"),
    "currency": (0x00A4, u"\u00A4"),
    "d": (0x0064, u"\u0064"),
    "dabovedot": (0x1001E0B, u"\u1E0B"),
    "dagger": (0x0AF1, u"\u2020"),
    "dcaron": (0x01EF, u"\u010F"),
    "dead_A": (0xFE81, None),
    "dead_E": (0xFE83, None),
    "dead_I": (0xFE85, None),
    "dead_O": (0xFE87, None),
    "dead_U": (0xFE89, None),
    "dead_a": (0xFE80, None),
    "dead_abovecomma": (0xFE64, u"\u0315"),
    "dead_abovedot": (0xFE56, u"\u0307"),
    "dead_abovereversedcomma": (0xFE65, u"\u0312"),
    "dead_abovering": (0xFE58, u"\u030A"),
    "dead_aboveverticalline": (0xFE91, u"\u030D"),
    "dead_acute": (0xFE51, u"\u0301"),
    "dead_belowbreve": (0xFE6B, u"\u032E"),
    "dead_belowcircumflex": (0xFE69, u"\u032D"),
    "dead_belowcomma": (0xFE6E, u"\u0326"),
    "dead_belowdiaeresis": (0xFE6C, u"\u0324"),
    "dead_belowdot": (0xFE60, u"\u0323"),
    "dead_belowmacron": (0xFE68, u"\u0331"),
    "dead_belowring": (0xFE67, u"\u0325"),
    "dead_belowtilde": (0xFE6A, u"\u0330"),
    "dead_belowverticalline": (0xFE92, u"\u0329"),
    "dead_breve": (0xFE55, u"\u0306"),
    "dead_capital_schwa": (0xFE8B, None),
    "dead_caron": (0xFE5A, u"\u030C"),
    "dead_cedilla": (0xFE5B, u"\u0327"),
    "dead_circumflex": (0xFE52, u"\u0302"),
    "dead_currency": (0xFE6F, None),
    "dead_diaeresis": (0xFE57, u"\u0308"),
    "dead_doubleacute": (0xFE59, u"\u030B"),
    "dead_doublegrave": (0xFE66, u"\u030F"),
    "dead_e": (0xFE82, None),
    "dead_grave": (0xFE50, u"\u0300"),
    "dead_greek": (0xFE8C, None),
    "dead_hook": (0xFE61, u"\u0309"),
    "dead_horn": (0xFE62, u"\u031B"),
    "dead_i": (0xFE84, None),
    "dead_invertedbreve": (0xFE6D, u"\u032F"),
    "dead_iota": (0xFE5D, u"\u0345"),
    "dead_longsolidusoverlay": (0xFE93, u"\u0338"),
    "dead_lowline": (0xFE90, u"\u0332"),
    "dead_macron": (0xFE54, u"\u0304"),
    "dead_o": (0xFE86, None),
    "dead_ogonek": (0xFE5C, u"\u0328"),
    "dead_semivoiced_sound": (0xFE5F, None),
    "dead_small_schwa": (0xFE8A, None),
    "dead_stroke": (0xFE63, u"\u0335"),
    "dead_tilde": (0xFE53, u"\u0303"),
    "dead_u": (0xFE88, None),
    "dead_voiced_sound": (0xFE5E, None),
    "degree": (0x00B0, u"\u00B0"),
    "diaeresis": (0x00A8, u"\u00A8"),
    "diamond": (0x0AED, u"\u2666"),
    "digitspace": (0x0AA5, u"\u2007"),
    "dintegral": (0x100222C, u"\u222C"),
    "division": (0x00F7, u"\u00F7"),
    "dollar": (0x0024, u"\u0024"),
    "doubbaselinedot": (0x0AAF, u"\u2025"),
    "doubleacute": (0x01BD, u"\u02DD"),
    "doubledagger": (0x0AF2, u"\u2021"),
    "doublelowquotemark": (0x0AFE, u"\u201E"),
    "downarrow": (0x08FE, u"\u2193"),
    "downstile": (0x0BC4, u"\u230A"),
    "downtack": (0x0BC2, u"\u22A4"),
    "dstroke": (0x01F0, u"\u0111"),
    "e": (0x0065, u"\u0065"),
    "eabovedot": (0x03EC, u"\u0117"),
    "eacute": (0x00E9, u"\u00E9"),
    "ebelowdot": (0x1001EB9, u"\u1EB9"),
    "ecaron": (0x01EC, u"\u011B"),
    "ecircumflex": (0x00EA, u"\u00EA"),
    "ecircumflexacute": (0x1001EBF, u"\u1EBF"),
    "ecircumflexbelowdot": (0x1001EC7, u"\u1EC7"),
    "ecircumflexgrave": (0x1001EC1, u"\u1EC1"),
    "ecircumflexhook": (0x1001EC3, u"\u1EC3"),
    "ecircumflextilde": (0x1001EC5, u"\u1EC5"),
    "ediaeresis": (0x00EB, u"\u00EB"),
    "egrave": (0x00E8, u"\u00E8"),
    "ehook": (0x1001EBB, u"\u1EBB"),
    "eightsubscript": (0x1002088, u"\u2088"),
    "eightsuperior": (0x1002078, u"\u2078"),
    "elementof": (0x1002208, u"\u2208"),
    "ellipsis": (0x0AAE, u"\u2026"),
    "em3space": (0x0AA3, u"\u2004"),
    "em4space": (0x0AA4, u"\u2005"),
    "emacron": (0x03BA, u"\u0113"),
    "emdash": (0x0AA9, u"\u2014"),
    "emptyset": (0x1002205, u"\u2205"),
    "emspace": (0x0AA1, u"\u2003"),
    "endash": (0x0AAA, u"\u2013"),
    "eng": (0x03BF, u"\u014B"),
    "enspace": (0x0AA2, u"\u2002"),
    "eogonek": (0x01EA, u"\u0119"),
    "equal": (0x003D, u"\u003D"),
    "eth": (0x00F0, u"\u00F0"),
    "etilde": (0x1001EBD, u"\u1EBD"),
    "exclam": (0x0021, u"\u0021"),
    "exclamdown": (0x00A1, u"\u00A1"),
    "ezh": (0x1000292, u"\u0292"),
    "f": (0x0066, u"\u0066"),
    "fabovedot": (0x1001E1F, u"\u1E1F"),
    "femalesymbol": (0x0AF8, u"\u2640"),
    "ff": (0x09E3, u"\u240C"),
    "figdash": (0x0ABB, u"\u2012"),
    "fiveeighths": (0x0AC5, u"\u215D"),
    "fivesixths": (0x0AB7, u"\u215A"),
    "fivesubscript": (0x1002085, u"\u2085"),
    "fivesuperior": (0x1002075, u"\u2075"),
    "fourfifths": (0x0AB5, u"\u2158"),
    "foursubscript": (0x1002084, u"\u2084"),
    "foursuperior": (0x1002074, u"\u2074"),
    "fourthroot": (0x100221C, u"\u221C"),
    "function": (0x08F6, u"\u0192"),
    "g": (0x0067, u"\u0067"),
    "gabovedot": (0x02F5, u"\u0121"),
    "gbreve": (0x02BB, u"\u011F"),
    "gcaron": (0x10001E7, u"\u01E7"),
    "gcedilla": (0x03BB, u"\u0123"),
    "gcircumflex": (0x02F8, u"\u011D"),
    "grave": (0x0060, u"\u0060"),
    "greater": (0x003E, u"\u003E"),
    "greaterthanequal": (0x08BE, u"\u2265"),
    "guillemotleft": (0x00AB, u"\u00AB"),
    "guillemotright": (0x00BB, u"\u00BB"),
    "h": (0x0068, u"\u0068"),
    "hairspace": (0x0AA8, u"\u200A"),
    "hcircumflex": (0x02B6, u"\u0125"),
    "heart": (0x0AEE, u"\u2665"),
    "hebrew_aleph": (0x0CE0, u"\u05D0"),
    "hebrew_ayin": (0x0CF2, u"\u05E2"),
    "hebrew_bet": (0x0CE1, u"\u05D1"),
    "hebrew_chet": (0x0CE7, u"\u05D7"),
    "hebrew_dalet": (0x0CE3, u"\u05D3"),
    "hebrew_doublelowline": (0x0CDF, u"\u2017"),
    "hebrew_finalkaph": (0x0CEA, u"\u05DA"),
    "hebrew_finalmem": (0x0CED, u"\u05DD"),
    "hebrew_finalnun": (0x0CEF, u"\u05DF"),
    "hebrew_finalpe": (0x0CF3, u"\u05E3"),
    "hebrew_finalzade": (0x0CF5, u"\u05E5"),
    "hebrew_gimel": (0x0CE2, u"\u05D2"),
    "hebrew_he": (0x0CE4, u"\u05D4"),
    "hebrew_kaph": (0x0CEB, u"\u05DB"),
    "hebrew_lamed": (0x0CEC, u"\u05DC"),
    "hebrew_mem": (0x0CEE, u"\u05DE"),
    "hebrew_nun": (0x0CF0, u"\u05E0"),
    "hebrew_pe": (0x0CF4, u"\u05E4"),
    "hebrew_qoph": (0x0CF7, u"\u05E7"),
    "hebrew_resh": (0x0CF8, u"\u05E8"),
    "hebrew_samech": (0x0CF1, u"\u05E1"),
    "hebrew_shin": (0x0CF9, u"\u05E9"),
    "hebrew_taw": (0x0CFA, u"\u05EA"),
    "hebrew_tet": (0x0CE8, u"\u05D8"),
    "hebrew_waw": (0x0CE5, u"\u05D5"),
    "hebrew_yod": (0x0CE9, u"\u05D9"),
    "hebrew_zade": (0x0CF6, u"\u05E6"),
    "hebrew_zain": (0x0CE6, u"\u05D6"),
    "horizlinescan1": (0x09EF, u"\u23BA"),
    "horizlinescan3": (0x09F0, u"\u23BB"),
    "horizlinescan5": (0x09F1, u"\u2500"),
    "horizlinescan7": (0x09F2, u"\u23BC"),
    "horizlinescan9": (0x09F3, u"\u23BD"),
    "hstroke": (0x02B1, u"\u0127"),
    "ht": (0x09E2, u"\u2409"),
    "hyphen": (0x00AD, u"\u00AD"),
    "i": (0x0069, u"\u0069"),
    "iacute": (0x00ED, u"\u00ED"),
    "ibelowdot": (0x1001ECB, u"\u1ECB"),
    "ibreve": (0x100012D, u"\u012D"),
    "icircumflex": (0x00EE, u"\u00EE"),
    "identical": (0x08CF, u"\u2261"),
    "idiaeresis": (0x00EF, u"\u00EF"),
    "idotless": (0x02B9, u"\u0131"),
    "ifonlyif": (0x08CD, u"\u21D4"),
    "igrave": (0x00EC, u"\u00EC"),
    "ihook": (0x1001EC9, u"\u1EC9"),
    "imacron": (0x03EF, u"\u012B"),
    "implies": (0x08CE, u"\u21D2"),
    "includedin": (0x08DA, u"\u2282"),
    "includes": (0x08DB, u"\u2283"),
    "infinity": (0x08C2, u"\u221E"),
    "integral": (0x08BF, u"\u222B"),
    "intersection": (0x08DC, u"\u2229"),
    "iogonek": (0x03E7, u"\u012F"),
    "itilde": (0x03B5, u"\u0129"),
    "j": (0x006A, u"\u006A"),
    "jcircumflex": (0x02BC, u"\u0135"),
    "jot": (0x0BCA, u"\u2218"),
    "k": (0x006B, u"\u006B"),
    "kana_A": (0x04B1, u"\u30A2"),
    "kana_CHI": (0x04C1, u"\u30C1"),
    "kana_E": (0x04B4, u"\u30A8"),
    "kana_FU": (0x04CC, u"\u30D5"),
    "kana_HA": (0x04CA, u"\u30CF"),
    "kana_HE": (0x04CD, u"\u30D8"),
    "kana_HI": (0x04CB, u"\u30D2"),
    "kana_HO": (0x04CE, u"\u30DB"),
    "kana_I": (0x04B2, u"\u30A4"),
    "kana_KA": (0x04B6, u"\u30AB"),
    "kana_KE": (0x04B9, u"\u30B1"),
    "kana_KI": (0x04B7, u"\u30AD"),
    "kana_KO": (0x04BA, u"\u30B3"),
    "kana_KU": (0x04B8, u"\u30AF"),
    "kana_MA": (0x04CF, u"\u30DE"),
    "kana_ME": (0x04D2, u"\u30E1"),
    "kana_MI": (0x04D0, u"\u30DF"),
    "kana_MO": (0x04D3, u"\u30E2"),
    "kana_MU": (0x04D1, u"\u30E0"),
    "kana_N": (0x04DD, u"\u30F3"),
    "kana_NA": (0x04C5, u"\u30CA"),
    "kana_NE": (0x04C8, u"\u30CD"),
    "kana_NI": (0x04C6, u"\u30CB"),
    "kana_NO": (0x04C9, u"\u30CE"),
    "kana_NU": (0x04C7, u"\u30CC"),
    "kana_O": (0x04B5, u"\u30AA"),
    "kana_RA": (0x04D7, u"\u30E9"),
    "kana_RE": (0x04DA, u"\u30EC"),
    "kana_RI": (0x04D8, u"\u30EA"),
    "kana_RO": (0x04DB, u"\u30ED"),
    "kana_RU": (0x04D9, u"\u30EB"),
    "kana_SA": (0x04BB, u"\u30B5"),
    "kana_SE": (0x04BE, u"\u30BB"),
    "kana_SHI": (0x04BC, u"\u30B7"),
    "kana_SO": (0x04BF, u"\u30BD"),
    "kana_SU": (0x04BD, u"\u30B9"),
    "kana_TA": (0x04C0, u"\u30BF"),
    "kana_TE": (0x04C3, u"\u30C6"),
    "kana_TO": (0x04C4, u"\u30C8"),
    "kana_TSU": (0x04C2, u"\u30C4"),
    "kana_U": (0x04B3, u"\u30A6"),
    "kana_WA": (0x04DC, u"\u30EF"),
    "kana_WO": (0x04A6, u"\u30F2"),
    "kana_YA": (0x04D4, u"\u30E4"),
    "kana_YO": (0x04D6, u"\u30E8"),
    "kana_YU": (0x04D5, u"\u30E6"),
    "kana_a": (0x04A7, u"\u30A1"),
    "kana_closingbracket": (0x04A3, u"\u300D"),
    "kana_comma": (0x04A4, u"\u3001"),
    "kana_conjunctive": (0x04A5, u"\u30FB"),
    "kana_e": (0x04AA, u"\u30A7"),
    "kana_fullstop": (0x04A1, u"\u3002"),
    "kana_i": (0x04A8, u"\u30A3"),
    "kana_o": (0x04AB, u"\u30A9"),
    "kana_openingbracket": (0x04A2, u"\u300C"),
    "kana_tsu": (0x04AF, u"\u30C3"),
    "kana_u": (0x04A9, u"\u30A5"),
    "kana_ya": (0x04AC, u"\u30E3"),
    "kana_yo": (0x04AE, u"\u30E7"),
    "kana_yu": (0x04AD, u"\u30E5"),
    "kcedilla": (0x03F3, u"\u0137"),
    "kra": (0x03A2, u"\u0138"),
    "l": (0x006C, u"\u006C"),
    "lacute": (0x01E5, u"\u013A"),
    "latincross": (0x0AD9, u"\u271D"),
    "lbelowdot": (0x1001E37, u"\u1E37"),
    "lcaron": (0x01B5, u"\u013E"),
    "lcedilla": (0x03B6, u"\u013C"),
    "leftarrow": (0x08FB, u"\u2190"),
    "leftdoublequotemark": (0x0AD2, u"\u201C"),
    "leftmiddlecurlybrace": (0x08AF, u"\u23A8"),
    "leftradical": (0x08A1, u"\u23B7"),
    "leftsinglequotemark": (0x0AD0, u"\u2018"),
    "leftt": (0x09F4, u"\u251C"),
    "lefttack": (0x0BDC, u"\u22A3"),
    "less": (0x003C, u"\u003C"),
    "lessthanequal": (0x08BC, u"\u2264"),
    "lf": (0x09E5, u"\u240A"),
    "logicaland": (0x08DE, u"\u2227"),
    "logicalor": (0x08DF, u"\u2228"),
    "lowleftcorner": (0x09ED, u"\u2514"),
    "lowrightcorner": (0x09EA, u"\u2518"),
    "lstroke": (0x01B3, u"\u0142"),
    "m": (0x006D, u"\u006D"),
    "mabovedot": (0x1001E41, u"\u1E41"),
    "macron": (0x00AF, u"\u00AF"),
    "malesymbol": (0x0AF7, u"\u2642"),
    "maltesecross": (0x0AF0, u"\u2720"),
    "masculine": (0x00BA, u"\u00BA"),
    "minus": (0x002D, u"\u002D"),
    "minutes": (0x0AD6, u"\u2032"),
    "mu": (0x00B5, u"\u00B5"),
    "multiply": (0x00D7, u"\u00D7"),
    "musicalflat": (0x0AF6, u"\u266D"),
    "musicalsharp": (0x0AF5, u"\u266F"),
    "n": (0x006E, u"\u006E"),
    "nabla": (0x08C5, u"\u2207"),
    "nacute": (0x01F1, u"\u0144"),
    "ncaron": (0x01F2, u"\u0148"),
    "ncedilla": (0x03F1, u"\u0146"),
    "ninesubscript": (0x1002089, u"\u2089"),
    "ninesuperior": (0x1002079, u"\u2079"),
    "nl": (0x09E8, u"\u2424"),
    "nobreakspace": (0x00A0, u"\u00A0"),
    "notapproxeq": (0x1002247, u"\u2247"),
    "notelementof": (0x1002209, u"\u2209"),
    "notequal": (0x08BD, u"\u2260"),
    "notidentical": (0x1002262, u"\u2262"),
    "notsign": (0x00AC, u"\u00AC"),
    "ntilde": (0x00F1, u"\u00F1"),
    "numbersign": (0x0023, u"\u0023"),
    "numerosign": (0x06B0, u"\u2116"),
    "o": (0x006F, u"\u006F"),
    "oacute": (0x00F3, u"\u00F3"),
    "obarred": (0x1000275, u"\u0275"),
    "obelowdot": (0x1001ECD, u"\u1ECD"),
    "ocaron": (0x10001D2, u"\u01D2"),
    "ocircumflex": (0x00F4, u"\u00F4"),
    "ocircumflexacute": (0x1001ED1, u"\u1ED1"),
    "ocircumflexbelowdot": (0x1001ED9, u"\u1ED9"),
    "ocircumflexgrave": (0x1001ED3, u"\u1ED3"),
    "ocircumflexhook": (0x1001ED5, u"\u1ED5"),
    "ocircumflextilde": (0x1001ED7, u"\u1ED7"),
    "odiaeresis": (0x00F6, u"\u00F6"),
    "odoubleacute": (0x01F5, u"\u0151"),
    "oe": (0x13BD, u"\u0153"),
    "ogonek": (0x01B2, u"\u02DB"),
    "ograve": (0x00F2, u"\u00F2"),
    "ohook": (0x1001ECF, u"\u1ECF"),
    "ohorn": (0x10001A1, u"\u01A1"),
    "ohornacute": (0x1001EDB, u"\u1EDB"),
    "ohornbelowdot": (0x1001EE3, u"\u1EE3"),
    "ohorngrave": (0x1001EDD, u"\u1EDD"),
    "ohornhook": (0x1001EDF, u"\u1EDF"),
    "ohorntilde": (0x1001EE1, u"\u1EE1"),
    "omacron": (0x03F2, u"\u014D"),
    "oneeighth": (0x0AC3, u"\u215B"),
    "onefifth": (0x0AB2, u"\u2155"),
    "onehalf": (0x00BD, u"\u00BD"),
    "onequarter": (0x00BC, u"\u00BC"),
    "onesixth": (0x0AB6, u"\u2159"),
    "onesubscript": (0x1002081, u"\u2081"),
    "onesuperior": (0x00B9, u"\u00B9"),
    "onethird": (0x0AB0, u"\u2153"),
    "ooblique": (0x00F8, u"\u00F8"),
    "ordfeminine": (0x00AA, u"\u00AA"),
    "oslash": (0x00F8, u"\u00F8"),
    "otilde": (0x00F5, u"\u00F5"),
    "overline": (0x047E, u"\u203E"),
    "p": (0x0070, u"\u0070"),
    "pabovedot": (0x1001E57, u"\u1E57"),
    "paragraph": (0x00B6, u"\u00B6"),
    "parenleft": (0x0028, u"\u0028"),
    "parenright": (0x0029, u"\u0029"),
    "partdifferential": (0x1002202, u"\u2202"),
    "partialderivative": (0x08EF, u"\u2202"),
    "percent": (0x0025, u"\u0025"),
    "period": (0x002E, u"\u002E"),
    "periodcentered": (0x00B7, u"\u00B7"),
    "permille": (0x0AD5, u"\u2030"),
    "phonographcopyright": (0x0AFB, u"\u2117"),
    "plus": (0x002B, u"\u002B"),
    "plusminus": (0x00B1, u"\u00B1"),
    "prescription": (0x0AD4, u"\u211E"),
    "prolongedsound": (0x04B0, u"\u30FC"),
    "punctspace": (0x0AA6, u"\u2008"),
    "q": (0x0071, u"\u0071"),
    "quad": (0x0BCC, u"\u2395"),
    "question": (0x003F, u"\u003F"),
    "questiondown": (0x00BF, u"\u00BF"),
    "quotedbl": (0x0022, u"\u0022"),
    "r": (0x0072, u"\u0072"),
    "racute": (0x01E0, u"\u0155"),
    "radical": (0x08D6, u"\u221A"),
    "rcaron": (0x01F8, u"\u0159"),
    "rcedilla": (0x03B3, u"\u0157"),
    "registered": (0x00AE, u"\u00AE"),
    "rightarrow": (0x08FD, u"\u2192"),
    "rightdoublequotemark": (0x0AD3, u"\u201D"),
    "rightmiddlecurlybrace": (0x08B0, u"\u23AC"),
    "rightsinglequotemark": (0x0AD1, u"\u2019"),
    "rightt": (0x09F5, u"\u2524"),
    "righttack": (0x0BFC, u"\u22A2"),
    "s": (0x0073, u"\u0073"),
    "sabovedot": (0x1001E61, u"\u1E61"),
    "sacute": (0x01B6, u"\u015B"),
    "scaron": (0x01B9, u"\u0161"),
    "scedilla": (0x01BA, u"\u015F"),
    "schwa": (0x1000259, u"\u0259"),
    "scircumflex": (0x02FE, u"\u015D"),
    "seconds": (0x0AD7, u"\u2033"),
    "section": (0x00A7, u"\u00A7"),
    "semicolon": (0x003B, u"\u003B"),
    "semivoicedsound": (0x04DF, u"\u309C"),
    "seveneighths": (0x0AC6, u"\u215E"),
    "sevensubscript": (0x1002087, u"\u2087"),
    "sevensuperior": (0x1002077, u"\u2077"),
    "similarequal": (0x08C9, u"\u2243"),
    "singlelowquotemark": (0x0AFD, u"\u201A"),
    "sixsubscript": (0x1002086, u"\u2086"),
    "sixsuperior": (0x1002076, u"\u2076"),
    "slash": (0x002F, u"\u002F"),
    "soliddiamond": (0x09E0, u"\u25C6"),
    "space": (0x0020, u"\u0020"),
    "squareroot": (0x100221A, u"\u221A"),
    "ssharp": (0x00DF, u"\u00DF"),
    "sterling": (0x00A3, u"\u00A3"),
    "stricteq": (0x1002263, u"\u2263"),
    "t": (0x0074, u"\u0074"),
    "tabovedot": (0x1001E6B, u"\u1E6B"),
    "tcaron": (0x01BB, u"\u0165"),
    "tcedilla": (0x01FE, u"\u0163"),
    "telephone": (0x0AF9, u"\u260E"),
    "telephonerecorder": (0x0AFA, u"\u2315"),
    "therefore": (0x08C0, u"\u2234"),
    "thinspace": (0x0AA7, u"\u2009"),
    "thorn": (0x00FE, u"\u00FE"),
    "threeeighths": (0x0AC4, u"\u215C"),
    "threefifths": (0x0AB4, u"\u2157"),
    "threequarters": (0x00BE, u"\u00BE"),
    "threesubscript": (0x1002083, u"\u2083"),
    "threesuperior": (0x00B3, u"\u00B3"),
    "tintegral": (0x100222D, u"\u222D"),
    "topintegral": (0x08A4, u"\u2320"),
    "topleftparens": (0x08AB, u"\u239B"),
    "topleftsqbracket": (0x08A7, u"\u23A1"),
    "toprightparens": (0x08AD, u"\u239E"),
    "toprightsqbracket": (0x08A9, u"\u23A4"),
    "topt": (0x09F7, u"\u252C"),
    "trademark": (0x0AC9, u"\u2122"),
    "tslash": (0x03BC, u"\u0167"),
    "twofifths": (0x0AB3, u"\u2156"),
    "twosubscript": (0x1002082, u"\u2082"),
    "twosuperior": (0x00B2, u"\u00B2"),
    "twothirds": (0x0AB1, u"\u2154"),
    "u": (0x0075, u"\u0075"),
    "uacute": (0x00FA, u"\u00FA"),
    "ubelowdot": (0x1001EE5, u"\u1EE5"),
    "ubreve": (0x02FD, u"\u016D"),
    "ucircumflex": (0x00FB, u"\u00FB"),
    "udiaeresis": (0x00FC, u"\u00FC"),
    "udoubleacute": (0x01FB, u"\u0171"),
    "ugrave": (0x00F9, u"\u00F9"),
    "uhook": (0x1001EE7, u"\u1EE7"),
    "uhorn": (0x10001B0, u"\u01B0"),
    "uhornacute": (0x1001EE9, u"\u1EE9"),
    "uhornbelowdot": (0x1001EF1, u"\u1EF1"),
    "uhorngrave": (0x1001EEB, u"\u1EEB"),
    "uhornhook": (0x1001EED, u"\u1EED"),
    "uhorntilde": (0x1001EEF, u"\u1EEF"),
    "umacron": (0x03FE, u"\u016B"),
    "underscore": (0x005F, u"\u005F"),
    "union": (0x08DD, u"\u222A"),
    "uogonek": (0x03F9, u"\u0173"),
    "uparrow": (0x08FC, u"\u2191"),
    "upleftcorner": (0x09EC, u"\u250C"),
    "uprightcorner": (0x09EB, u"\u2510"),
    "upstile": (0x0BD3, u"\u2308"),
    "uptack": (0x0BCE, u"\u22A5"),
    "uring": (0x01F9, u"\u016F"),
    "utilde": (0x03FD, u"\u0169"),
    "v": (0x0076, u"\u0076"),
    "variation": (0x08C1, u"\u221D"),
    "vertbar": (0x09F8, u"\u2502"),
    "voicedsound": (0x04DE, u"\u309B"),
    "vt": (0x09E9, u"\u240B"),
    "w": (0x0077, u"\u0077"),
    "wacute": (0x1001E83, u"\u1E83"),
    "wcircumflex": (0x1000175, u"\u0175"),
    "wdiaeresis": (0x1001E85, u"\u1E85"),
    "wgrave": (0x1001E81, u"\u1E81"),
    "x": (0x0078, u"\u0078"),
    "xabovedot": (0x1001E8B, u"\u1E8B"),
    "y": (0x0079, u"\u0079"),
    "yacute": (0x00FD, u"\u00FD"),
    "ybelowdot": (0x1001EF5, u"\u1EF5"),
    "ycircumflex": (0x1000177, u"\u0177"),
    "ydiaeresis": (0x00FF, u"\u00FF"),
    "yen": (0x00A5, u"\u00A5"),
    "ygrave": (0x1001EF3, u"\u1EF3"),
    "yhook": (0x1001EF7, u"\u1EF7"),
    "ytilde": (0x1001EF9, u"\u1EF9"),
    "z": (0x007A, u"\u007A"),
    "zabovedot": (0x01BF, u"\u017C"),
    "zacute": (0x01BC, u"\u017A"),
    "zcaron": (0x01BE, u"\u017E"),
    "zerosubscript": (0x1002080, u"\u2080"),
    "zerosuperior": (0x1002070, u"\u2070"),
    "zstroke": (0x10001B6, u"\u01B6"),
}

DEAD_KEYS = {
    u"\u0307": u"\u02D9",
    u"\u030A": u"\u02DA",
    u"\u0301": u"\u00B4",
    u"\u0306": u"\u02D8",
    u"\u030C": u"\u02C7",
    u"\u0327": u"\u00B8",
    u"\u0302": u"\u005E",
    u"\u0308": u"\u00A8",
    u"\u030B": u"\u02DD",
    u"\u0300": u"\u0060",
    u"\u0345": u"\u037A",
    u"\u0332": u"\u005F",
    u"\u0304": u"\u00AF",
    u"\u0328": u"\u02DB",
    u"\u0303": u"\u007E",
}

KEYPAD_KEYS = {
    "KP_0": 0xFFB0,
    "KP_1": 0xFFB1,
    "KP_2": 0xFFB2,
    "KP_3": 0xFFB3,
    "KP_4": 0xFFB4,
    "KP_5": 0xFFB5,
    "KP_6": 0xFFB6,
    "KP_7": 0xFFB7,
    "KP_8": 0xFFB8,
    "KP_9": 0xFFB9,
    "KP_Add": 0xFFAB,
    "KP_Begin": 0xFF9D,
    "KP_Decimal": 0xFFAE,
    "KP_Delete": 0xFF9F,
    "KP_Divide": 0xFFAF,
    "KP_Down": 0xFF99,
    "KP_End": 0xFF9C,
    "KP_Enter": 0xFF8D,
    "KP_Equal": 0xFFBD,
    "KP_F1": 0xFF91,
    "KP_F2": 0xFF92,
    "KP_F3": 0xFF93,
    "KP_F4": 0xFF94,
    "KP_Home": 0xFF95,
    "KP_Insert": 0xFF9E,
    "KP_Left": 0xFF96,
    "KP_Multiply": 0xFFAA,
    "KP_Next": 0xFF9B,
    "KP_Page_Down": 0xFF9B,
    "KP_Page_Up": 0xFF9A,
    "KP_Prior": 0xFF9A,
    "KP_Right": 0xFF98,
    "KP_Separator": 0xFFAC,
    "KP_Space": 0xFF80,
    "KP_Subtract": 0xFFAD,
    "KP_Tab": 0xFF89,
    "KP_Up": 0xFF97,
}

CHARS = {codepoint: name for name, (keysym, codepoint) in SYMBOLS.items() if codepoint}

KEYSYMS = {keysym: name for name, (keysym, codepoint) in SYMBOLS.items() if codepoint}
